%define _disable_ld_no_undefined 1
%define php_common_major 8
%define php_common_sub 2

%define build_test 0
%{?_with_test: %{expand: %%global build_test 1}}
%{?_without_test: %{expand: %%global build_test 0}}

%define build_libmagic 0
%{?_with_libmagic: %{expand: %%global build_libmagic 1}}
%{?_without_libmagic: %{expand: %%global build_libmagic 0}}

%global __requires_exclude BEGIN|mkinstalldirs|pear\\(|/usr/bin/tclsh

%define libname %mklibname php %{php_common_major}
%define vers %{php_common_major}%{php_common_sub}
%define extensionsname %{vers}/extensions
%define inidir %{vers}/ini
%define mod_name mod_php%{vers}

# enforce versioned postgresql dependencies because of multiple version
# availability in the distribution
%define postgresql_version %(pg_config &>/dev/null && pg_config 2>/dev/null | awk '/^VERSION/ { print $4 }' | sed -re 's/rc[0-9]+$//'|| echo 0)

%define sapi fpm cgi cli apxs

#define _RC RC7

Summary:	The PHP scripting language
Name:		php
Epoch:		3
Version:	%{php_common_major}.%{php_common_sub}.29
Release:	%mkrel %{?_RC:1.%_RC.}1
Source0:	https://github.com/php/php-src/archive/refs/tags/php-%{version}%{?_RC:%_RC}.tar.gz
Group:		Development/PHP
License:	PHP License
URL:		https://www.php.net
Source1:	php-test-ini
Source2:	maxlifetime
Source3:	php.crond
Source4:	php-fpm.service
Source5:	php-fpm.sysconf
Source6:	php-fpm.logrotate
# S7 comes from ext/fileinfo/create_data_file.php but could be removed someday
Source7:	create_data_file.php
# ini based on production version
Source8:	php-ini
Source9:	php-fpm-tmpfiles.conf
Source10:	10_php-fpm.conf
Source11:	php.ini-production-orig
Source13:	70_mod_php.conf
Source14:	php-ini-dummy
# nginx files
Source20:  	nginx-fpm.conf
Source21:       nginx-php.conf

#automatic adding does not work on build server
Source101:	05_assertion.ini
Source102:	05_date.ini
Source103:	05_mail.ini
Source104:	05_pcre.ini
Source105:	10_bz2.ini
Source106:	11_calendar.ini
Source107:	12_ctype.ini
Source108:	13_curl.ini
Source109:	14_dba.ini
Source110:	01_datahandling.ini
Source111:	01_errorhandling.ini
Source112:	01_fileuploads.ini
Source113:	01_fopen.ini
Source114:	01_language.ini
Source115:	01_misc.ini
Source116:	01_phpini.ini
Source117:	01_ressourcelimits.ini
Source118:	01_paths.ini
Source119:	05_browscap.ini
Source120:	05_cliserver.ini
Source1010:	18_dom.ini
Source1011:	19_exif.ini
Source1012:	21_openssl.ini
Source1013:	21_zlib.ini
Source1014:	22_ftp.ini
Source1015:	23_gd.ini
Source1016:	24_gettext.ini
Source1017:	25_gmp.ini
Source1018:	26_iconv.ini
Source1019:	27_imap.ini
Source1020:	27_intl.ini
Source1021:	28_ldap.ini
Source1022:	29_mbstring.ini
Source1023:	32_fileinfo.ini
Source1024:	33_mysqlnd.ini
Source1025:	37_mysqli.ini
Source1026:	38_enchant.ini
Source1027:	39_odbc.ini
Source1028:	40_pcntl.ini
Source1030:	42_pgsql.ini
Source1031:	43_posix.ini
Source1032:	45_readline.ini
Source1034:	47_session.ini
Source1035:	48_shmop.ini
Source1036:	50_snmp.ini
Source1037:	51_soap.ini
Source1038:	52_sockets.ini
Source1040:	56_sysvmsg.ini
Source1041:	57_sysvsem.ini
Source1042:	58_sysvshm.ini
Source1043:	59_tidy.ini
Source1044:	60_tokenizer.ini
Source1048:	63_xmlreader.ini
Source1049:	63_xsl.ini
Source1050:	64_xmlwriter.ini
Source1051:	66_bcmath.ini
Source1052:	70_pdo.ini
Source1053:	71_pdo_dblib.ini
Source1054:	73_pdo_mysql.ini
Source1055:	75_pdo_odbc.ini
Source1056:	76_pdo_pgsql.ini
Source1057:	77_pdo_sqlite.ini
Source1058:	78_pdo_firebird.ini
Source1059:	78_sqlite3.ini
Source1060:	81_filter.ini
Source1062:	83_zip.ini
Source1063:	84_phar.ini
Source1064:	99_opcache.ini
Source1065:	85_sodium.ini
Source1066:	98_ffi.ini
#Patch1:		php-shared.diff
Patch2:		php-7.1-mga_php.ini.diff
Patch5:		php-phpbuilddir.diff
Patch11:	php-7.0.2RC1-libdb.diff
#####################################################################
# Stolen from PLD
Patch22:	php-dba-link.patch
Patch23:	php-zlib-for-getimagesize.patch
#(spuhler) taken from Mandriva
#Patch29:	php-7.0.0RC5-fpm-0.6.5-shared.diff
Patch30:	php-7.0.0RC5-fpm-0.6.5-mdv_conf.diff
#####################################################################
# stolen from debian
Patch50:	php-session.save_path.diff
#####################################################################
# Stolen from fedora
# Functional changes
#why do we want to have them public?
Patch229:	php-7.0.2RC1-session.use_strict_mode.diff

BuildRequires:	apache-devel >= 2.2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	bzip2-devel
BuildRequires:	c-client-devel >= 2007
BuildRequires:	db-devel
BuildRequires:	elfutils-devel
BuildRequires:	file
BuildRequires:	flex
BuildRequires:	freetds-devel >= 0.63
BuildRequires:	freetype2-devel
BuildRequires:	gdbm-devel
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	gpm-devel
BuildRequires:	icu-devel >= 49.0
BuildRequires:	lemon
BuildRequires:	libldap-devel
BuildRequires:	libtool
BuildRequires:	libtool-devel
BuildRequires:	mbfl-devel >= 1.2.0-2
BuildRequires:	mercurial
BuildRequires:	mhash-devel
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	net-snmp-mibs
BuildRequires:	openssl
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(fbclient)
BuildRequires:	pkgconfig(gdlib) >= 2.1
BuildRequires:	pkgconfig(libcurl) >= 7.9.8
BuildRequires:	pkgconfig(libedit)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpcre2-posix) >= 10.30
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(libsodium)
BuildRequires:	pkgconfig(libwebp) >= 0.4
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6
BuildRequires:	pkgconfig(libxslt) >= 1.1.0
BuildRequires:	pkgconfig(libzip) >= 0.10.1
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(oniguruma) >= 5.9.2
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	postgresql-devel
BuildRequires:	re2c >= 0.13.4
BuildRequires:	readline-devel
BuildRequires:	tidy-devel
BuildRequires:	unixODBC-devel >= 2.2.1
%if %{build_libmagic}
BuildRequires:	file-devel >= 5.14
%endif

%description
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

%package	ini
Summary:	INI files for PHP
Group:		Development/PHP
Provides:	php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Provides:	php-hash = %{epoch}:%{version}
Provides:	php-json = %{epoch}:%{version}
Provides:	php-pcre = %{epoch}:%{version}
Provides:	php-simplexml = %{epoch}:%{version}
Provides:	php-xml = %{epoch}:%{version}
#TODO are theses really required ?
# no, but removing them gives a bugstorm, so please don't.
Requires:	php = %{epoch}:%{version}
Requires:	php-openssl = %{epoch}:%{version}
Requires:	php-sysvsem = %{epoch}:%{version}
Requires:	php-sysvshm = %{epoch}:%{version}
Requires:	php-zlib = %{epoch}:%{version}
Suggests:	php-filter = %{epoch}:%{version}
Suggests:	php-gettext = %{epoch}:%{version}
Suggests:	php-posix = %{epoch}:%{version}
Suggests:	php-xmlreader = %{epoch}:%{version}
Suggests:	php-xmlwriter = %{epoch}:%{version}
Obsoletes:	%{libname} < %{epoch}:8.0.1
Obsoletes:	php-amf < 0.9.3
Obsoletes:	php-apacheaccessor < 1.0.2
Obsoletes:	php-apm < 2.1.3
Obsoletes:	php-auth_nds < 2.2.6
Obsoletes:	php-awl < 0.54
Obsoletes:	php-bbcode < 1.0.4
Obsoletes:	php-bloomy < 0.1.1
Obsoletes:	php-braille < 0.1.2
Obsoletes:	php-cairo < 0.3.3
Obsoletes:	php-cairo_wrapper < 0.2.5
Obsoletes:	php-cyrus < 1.1
Obsoletes:	php-dav < 1.3
Obsoletes:	php-dbx < 1.1.3
Obsoletes:	php-docblock < %{epoch}:%{version}
Obsoletes:	php-doublemetaphone < 1.0.2
Obsoletes:	php-ecasound < %{epoch}:%{version}
Obsoletes:	php-esmtp < %{epoch}:%{version}
Obsoletes:	php-fam < 5.0.2
Obsoletes:	php-gearman < 1.1.3
Obsoletes:	php-geoip < 1.1.2
Obsoletes:	php-gnutls < 0.4
Obsoletes:	php-hash < %{epoch}:%{version}
Obsoletes:	php-haru < 1.0.5
Obsoletes:	php-hidef < 0.1.14
Obsoletes:	php-htscanner < 1.0.2
Obsoletes:	php-http < 3.2.4
Obsoletes:	php-id3 < 0.3
Obsoletes:	php-inclued < 0.1.4
Obsoletes:	php-interbase < %{epoch}:%{version}
Obsoletes:	php-json < %{epoch}:8.0.0
Obsoletes:	php-layersmenu < 3.3.0
Obsoletes:	php-libevent < 0.1.1
Obsoletes:	php-magickwand < 1.0.9.3
Obsoletes:	php-mailparse < 3.0.2
Obsoletes:	php-mcal < 0.6-51
Obsoletes:	php-mdbtools < %{epoch}:%{version}
Obsoletes:	php-ming < %{epoch}:%{version}
Obsoletes:	php-mongo < 1.6.14
Obsoletes:	php-mssql < %{epoch}:%{version}
Obsoletes:	php-netools < %{epoch}:%{version}
Obsoletes:	php-newt < 1.3.0
Obsoletes:	php-oggvorbis < 0.3
Obsoletes:	php-optimizer < %{epoch}:%{version}
Obsoletes:	php-pam < %{epoch}:%{version}
Obsoletes:	php-pear-Date_Holidays < 0.22
Obsoletes:	php-pear-Horde < %{epoch}:%{version}
Obsoletes:	php-pear-PHP_Parser < %{epoch}:%{version}
Obsoletes:	php-pear-PHP_Parser_DocblockParser < %{epoch}:%{version}
Obsoletes:	php-pinba < %{epoch}:%{version}
Obsoletes:	php-pluf < %{epoch}:%{version}
Obsoletes:	php-proctitle < 0.1.2
Obsoletes:	php-propro < 2.1.1
Obsoletes:	php-rar < 4.0.0
Obsoletes:	php-recode < %{epoch}:%{version}
Obsoletes:	php-redland <= 1.0.17
Obsoletes:	php-sasl < %{epoch}:%{version}
Obsoletes:	php-suhosin < %{epoch}:7.0.0
Obsoletes:	php-swish < %{epoch}:%{version}
Obsoletes:	php-sybase_ct < %{epoch}:%{version}
Obsoletes:	php-symfony-YAML < %{epoch}:%{version}
Obsoletes:	php-syslog-ng < %{epoch}:%{version}
Obsoletes:	php-tclink < %{epoch}:7.0.0
Obsoletes:	php-timezonedb < %{epoch}:7.0.0
Obsoletes:	php-trace < 1.0.2
Obsoletes:	php-trader < 0.4.2
Obsoletes:	php-txforward < %{epoch}:%{version}
Obsoletes:	php-uploadprogress < %{epoch}:%{version}
Obsoletes:	php-vld < 0.17.1
Obsoletes:	php-wbxml < %{epoch}:%{version}
Obsoletes:	php-wddx < %{epoch}:%{version}
Obsoletes:	php-xdiff <= 2.0.1
Obsoletes:	php-xml < %{epoch}:7.0.0
Obsoletes:	php-xmlrpc < %{epoch}:8.0.1
Obsoletes:	php-yaz < 1.2.4
Obsoletes:	php-yrmcds < %{epoch}:7.0.0
Obsoletes:	php-ZendFramework < 2.0.0

%description	ini
The php-ini package contains the ini file required for PHP.


%package -n	apache-mod_php
Summary:	The PHP HTML-embedded scripting language for use with Apache
Group:		System/Servers
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires:	apache >= 2.2
#add all common requirements to the lib as a central
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	php-session = %{epoch}:%{version}
# php is not fully thread safe
# https://www.php.net/manual/en/faq.installation.php#faq.installation.apache2
# https://stackoverflow.com/questions/681081/is-php-thread-safe
Provides:	php-webinterface = %{epoch}:%{version}-%{release}
Conflicts: php-fpm-apache
Epoch:		%{epoch}

%description -n apache-mod_php
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the PHP Apache module.

%package	cli
Summary:	PHP CLI interface
Group:		Development/PHP
URL:		https://www.php.net/cli
#add all common requirements to the lib as a central
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Provides:	php = %{epoch}:%{version}
Provides:	/usr/bin/php

%description	cli
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains a command-line (CLI) version of php. If you need Apache
 module support, you also need to install the apache-mod_php package.

%package	cgi
Summary:	PHP CGI interface
Group:		Development/PHP
#add all common requirements to the lib as a central
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	webserver
Requires:	php-session = %{epoch}:%{version}
Provides:	php = %{epoch}:%{version}
Provides:	php-fcgi = %{epoch}:%{version}-%{release}
Provides:	php-webinterface = %{epoch}:%{version}-%{release}
# because of a added compat softlink
Obsoletes:	php-fcgi < %{epoch}:%{version}-%{release}

%description	cgi
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains a standalone (CGI) version of php with FastCGI support.
If you need Apache module support, you also need to install the apache-mod_php
package.

%package	devel
Summary:	Development package for PHP
Group:		Development/C
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	autoconf
Requires:	automake
Requires:	bison
Requires:	byacc
Requires:	chrpath
Requires:	dos2unix
Requires:	flex
Requires:	libtool
Requires:	libxml2-devel >= 2.6
Requires:	libxslt-devel >= 1.1.0
Requires:	openssl >= 0.9.8
Requires:	openssl-devel >= 0.9.8
Requires:	pam-devel
Requires:	pkgconfig(libpcre2-posix)
Requires:	re2c >= 0.9.11
Requires:	tcl

%description	devel
The php-devel package lets you compile dynamic extensions to PHP. Included
here is the source for the php extensions. Instead of recompiling the whole php
binary to add support for, say, oracle, install this package and use the new
self-contained extensions support.

%package	openssl
Summary:	OpenSSL extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/openssl
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	openssl
This is a dynamic shared object (DSO) for PHP that will add OpenSSL support.

%package	zlib
Summary:	Zlib extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/zlib
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	zlib
This is a dynamic shared object (DSO) for PHP that will add zlib compression
support to PHP.

%package	doc
Summary:	Documentation for PHP
Group:		Development/PHP
BuildArch:	noarch

%description	doc
Documentation for php.

%package	bcmath
Summary:	The bcmath module for PHP
Group:		Development/PHP
URL:		https://www.php.net/bcmath
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	bcmath
This is a dynamic shared object (DSO) for PHP that will add bc style precision
math functions support.

For arbitrary precision mathematics PHP offers the Binary Calculator which
supports numbers of any size and precision, represented as strings.

%package	bz2
Summary:	Bzip2 extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/bzip2
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	bz2
This is a dynamic shared object (DSO) for PHP that will add bzip2 compression
support to PHP.

The bzip2 functions are used to transparently read and write bzip2 (.bz2)
compressed files.

%package	calendar
Summary:	Calendar extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/calendar
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	calendar
This is a dynamic shared object (DSO) for PHP that will add calendar support.

The calendar extension presents a series of functions to simplify converting
between different calendar formats. The intermediary or standard it is based on
is the Julian Day Count. The Julian Day Count is a count of days starting from
January 1st, 4713 B.C. To convert between calendar systems, you must first
convert to Julian Day Count, then to the calendar system of your choice. Julian
Day Count is very different from the Julian Calendar! For more information on
Julian Day Count, visit https://www.hermetic.ch/cal_stud/jdn.htm. For more
information on calendar systems visit
http://www.boogle.com/info/cal-overview.html. Excerpts from this page are
included in these instructions, and are in quotes.

%package	ctype
Summary:	Ctype extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/ctype
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	ctype
This is a dynamic shared object (DSO) for PHP that will add ctype support.

The functions provided by this extension check whether a character or string
falls into a certain character class according to the current locale (see also
setlocale()).

%package	curl
Summary:	Curl extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/curl
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	curl
This is a dynamic shared object (DSO) for PHP that will add curl support.

PHP supports libcurl, a library created by Daniel Stenberg, that allows you to
connect and communicate to many different types of servers with many different
types of protocols. libcurl currently supports the http, https, ftp, gopher,
telnet, dict, file, and ldap protocols. libcurl also supports HTTPS
certificates, HTTP POST, HTTP PUT, FTP uploading (this can also be done with
PHP's ftp extension), HTTP form based upload, proxies, cookies, and
user+password authentication.

%package	dba
Summary:	DBA extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/dba
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	dba
This is a dynamic shared object (DSO) for PHP that will add flat-file databases
(DBA) support.

These functions build the foundation for accessing Berkeley DB style databases.

This is a general abstraction layer for several file-based databases. As such,
functionality is limited to a common subset of features supported by modern
databases such as Sleepycat Software's DB2. (This is not to be confused with
IBM's DB2 software, which is supported through the ODBC functions.)

%package	dom
Summary:	Dom extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/dom
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	dom
This is a dynamic shared object (DSO) for PHP that will add dom support.

The DOM extension is the replacement for the DOM XML extension from PHP 4. The
extension still contains many old functions, but they should no longer be used.
In particular, functions that are not object-oriented should be avoided.

The extension allows you to operate on an XML document with the DOM API.

%package	enchant
Summary:	Libenchant binder, support near all spelling tools
Group:		Development/PHP
URL:		https://www.php.net/
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	enchant
Enchant is a binder for libenchant. Libenchant provides a common API for many
spell libraries:

 - aspell/pspell (intended to replace ispell)
 - hspell (Hebrew)
 - ispell
 - hunspell (OpenOffice project, mozilla)
 - uspell (primarily Yiddish, Hebrew, and Eastern European languages)
   A plugin system allows to add custom spell support.
   see www.abisource.com/enchant/

%package	exif
Summary:	EXIF extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/exif
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	php-mbstring = %{epoch}:%{version}

%description	exif
This is a dynamic shared object (DSO) for PHP that will add EXIF tags support
in image files.

With the exif extension you are able to work with image meta data. For example,
you may use exif functions to read meta data of pictures taken from digital
cameras by working with information stored in the headers of the JPEG and TIFF
images.

%package	fileinfo
Summary:	Fileinfo extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/fileinfo
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	fileinfo
This extension allows retrieval of information regarding vast majority of file.
This information may include dimensions, quality, length etc...

Additionally it can also be used to retrieve the mime type for a particular
file and for text files proper language encoding.

%package	filter
Summary:	Extension for safely dealing with input parameters
Group:		Development/PHP
URL:		https://www.php.net/filter
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	filter
The Input Filter extension is meant to address this issue by implementing a set
of filters and mechanisms that users can use to safely access their input data.

%package	ftp
Summary:	FTP extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/ftp
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	ftp
This is a dynamic shared object (DSO) for PHP that will add FTP support.

The functions in this extension implement client access to file servers
speaking the File Transfer Protocol (FTP) as defined in
https://www.rfc-editor.org/rfc/rfc959.html. This extension is meant for
detailed access to an FTP server providing a wide range of control to the
executing script. If you only wish to read from or write to a file on an FTP
server, consider using the ftp:// wrapper with the filesystem functions  which
provide a simpler and more intuitive interface.

%package	gd
Summary:	GD extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/gd
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Provides:	php-gd-bundled = %{epoch}:%{version}

%description	gd
This is a dynamic shared object (DSO) for PHP that will add GD support,
allowing you to create and manipulate images with PHP using the gd library.

PHP is not limited to creating just HTML output. It can also be used to create
and manipulate image files in a variety of different image formats, including
gif, png, jpg, wbmp, and xpm. Even more convenient, PHP can output image
streams directly to a browser. You will need to compile PHP with the GD library
of image functions for this to work. GD and PHP may also require other
libraries, depending on which image formats you want to work with.

You can use the image functions in PHP to get the size of JPEG, GIF, PNG, SWF,
TIFF and JPEG2000 images.

%package	gettext
Summary:	Gettext extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/gettext
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	gettext
This is a dynamic shared object (DSO) for PHP that will add gettext support.

The gettext functions implement an NLS (Native Language Support) API which can
be used to internationalize your PHP applications. Please see the gettext
documentation for your system for a thorough explanation of these functions or
view the docs at https://www.gnu.org/software/gettext/manual/gettext.html.

%package	gmp
Summary:	Gmp extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/gmp
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	gmp
This is a dynamic shared object (DSO) for PHP that will add arbitrary length
number support using the GNU MP library.

%package	iconv
Summary:	Iconv extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/iconv
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	iconv
This is a dynamic shared object (DSO) for PHP that will add iconv support.

This module contains an interface to iconv character set conversion facility.
With this module, you can turn a string represented by a local character set
into the one represented by another character set, which may be the Unicode
character set. Supported character sets depend on the iconv implementation of
your system. Note that the iconv function on some systems may not work as you
expect. In such case, it'd be a good idea to install the GNU libiconv library.
It will most likely end up with more consistent results.

%package	imap
Summary:	IMAP extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/iamp
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	imap
This is a dynamic shared object (DSO) for PHP that will add IMAP support.

These functions are not limited to the IMAP protocol, despite their name. The
underlying c-client library also supports NNTP, POP3 and local mailbox access
methods.

%package	intl
Summary:	Internationalization extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/intl
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	intl
This is a dynamic shared object (DSO) for PHP that will add
Internationalization support.

Internationalization extension implements ICU library functionality in PHP.

%package	ldap
Summary:	LDAP extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/ldap
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}


%description	ldap
This is a dynamic shared object (DSO) for PHP that will add LDAP support.

LDAP is the Lightweight Directory Access Protocol, and is a protocol used to
access "Directory Servers". The Directory is a special kind of database that
holds information in a tree structure.

The concept is similar to your hard disk directory structure, except that in
this context, the root directory is "The world" and the first level
subdirectories are "countries". Lower levels of the directory structure contain
entries for companies, organisations or places, while yet lower still we find
directory entries for people, and perhaps equipment or documents.

%package	mbstring
Summary:	MBstring extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/mbstring
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}


%description	mbstring
This is a dynamic shared object (DSO) for PHP that will add multibyte string
support.

mbstring provides multibyte specific string functions that help you deal with
multibyte encodings in PHP. In addition to that, mbstring handles character
encoding conversion between the possible encoding pairs. mbstring is designed
to handle Unicode-based encodings such as UTF-8 and UCS-2 and many single-byte
encodings for convenience.

%package	mysqli
Summary:	MySQL database module for PHP
Group:		Development/PHP
URL:		https://www.php.net/mysqli
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	php-mysqlnd = %{epoch}:%{version}

%description	mysqli
This is a dynamic shared object (DSO) for PHP that will add MySQL database
support.

The mysqli extension allows you to access the functionality provided by MySQL
4.1 and above. It is an improved version of the older PHP MySQL driver,
offering various benefits. The developers of the PHP programming language
recommend using MySQLi when dealing with MySQL server versions 4.1.3 and newer
(takes advantage of new functionality)

More information about the MySQL Database server can be found at
https://www.mysql.com/

Documentation for MySQL can be found at https://dev.mysql.com/doc/.

Documentation for MySQLi can be found at https://www.php.net/manual/en/mysqli.overview.php.

%package	mysqlnd
Summary:	MySQL native database module for PHP
Group:		Development/PHP
URL:		https://www.php.net/mysqlnd
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Provides:	php-mysql = %{epoch}:%{version}-%{release}

%description	mysqlnd
This is a dynamic shared object (DSO) for PHP that will add MySQL native
database support.

These functions allow you to access MySQL database servers. More information
about MySQL can be found at https://www.mysql.com/.

Documentation for MySQL can be found at https://dev.mysql.com/doc/.

%package	odbc
Summary:	ODBC extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/odbc
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	odbc
This is a dynamic shared object (DSO) for PHP that will add ODBC support.

In addition to normal ODBC support, the Unified ODBC functions in PHP allow you
to access several databases that have borrowed the semantics of the ODBC API to
implement their own API. Instead of maintaining multiple database drivers that
were all nearly identical, these drivers have been unified into a single set of
ODBC functions.

%package	opcache
Summary:	Zend OPcache for PHP
Group:		Development/PHP
URL:		https://www.php.net/opcache
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Obsoletes:	php-xcache < 3.2.1
Obsoletes:	php-xcache-admin < 3.2.1

%description	opcache
This is a dynamic shared object (DSO) for PHP that will add OPcache support.

The Zend OPcache provides faster PHP execution through opcode caching and
optimization. It improves PHP performance by storing precompiled script
bytecode in the shared memory. This eliminates the stages of reading code from
the disk and compiling it on future access. In addition, it applies a few
bytecode optimization patterns that make code execution faster.

%package	pcntl
Summary:	Process Control extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/pcntl
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	pcntl
This is a dynamic shared object (DSO) for PHP that will add process spawning
and control support. It supports functions like fork(), waitpid(), signal()
etc.

Process Control support in PHP implements the Unix style of process creation,
program execution, signal handling and process termination. Process Control
should not be enabled within a webserver environment and unexpected results may
happen if any Process Control functions are used within a webserver
environment.

%package	pdo
Summary:	PHP Data Objects Interface
Group:		Development/PHP
URL:		https://www.php.net/pdo
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	pdo
PDO provides a uniform data access interface, sporting advanced features such
as prepared statements and bound parameters. PDO drivers are dynamically
loadable and may be developed independently from the core, but still accessed
using the same API.

Read the documentation at https://www.php.net/pdo for more information.

%package	pdo_dblib
Summary:	Sybase Interface driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_dblib
Requires:	freetds >= 0.63
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	pdo_dblib
PDO_DBLIB is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to Microsoft SQL Server and Sybase databases through the
FreeTDS library.

%package	pdo_firebird
Summary:	Firebird/InterBase driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_firebird
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	pdo_firebird
PDO_Firebird is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to Firebird databases.

%package	pdo_mysql
Summary:	MySQL Interface driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_mysql
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	php-mysqlnd = %{epoch}:%{version}

%description	pdo_mysql
PDO_MYSQL is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to MySQL 3.x, 4.x and 5.x databases.

PDO_MYSQL will take advantage of native prepared statement support present in
MySQL 4.1 and higher. If you're using an older version of the mysql client
libraries, PDO will emulate them for you.

Please note that this build does NOT support compression protocol because it
is built with MySQL Native Driver (mysqlnd).

%package	pdo_odbc
Summary:	ODBC v3 Interface driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_odbc
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	pdo_odbc
PDO_ODBC is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to databases through ODBC drivers or through the IBM DB2
Call Level Interface (DB2 CLI) library. PDO_ODBC currently supports three
different "flavours" of database drivers:

- ibm-db2  - Supports access to IBM DB2 Universal Database, Cloudscape, and
	Apache Derby servers through the free DB2 client. ibm-db2 is not
	supported in Mageia.

- unixODBC - Supports access to database servers through the unixODBC driver
	manager and the database's own ODBC drivers.

- generic  - Offers a compile option for ODBC driver managers that are not
	explicitly supported by PDO_ODBC.

%package	pdo_pgsql
Summary:	PostgreSQL interface driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_pgsql
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	postgresql-libs >= %{postgresql_version}

%description	pdo_pgsql
PDO_PGSQL is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to PostgreSQL databases.

%package	pdo_sqlite
Summary:	SQLite v3 Interface driver for PDO
Group:		Development/PHP
URL:		https://www.php.net/pdo_sqlite
Requires:	php-pdo = %{epoch}:%{version}
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	pdo_sqlite
PDO_SQLITE is a driver that implements the PHP Data Objects (PDO) interface to
enable access to SQLite 3 databases.

This extension provides an SQLite v3 driver for PDO. SQLite V3 is NOT
compatible with the bundled SQLite 2 in PHP 5, but is a significant step
forwards, featuring complete utf-8 support, native support for blobs, native
support for prepared statements with bound parameters and improved concurrency.

%package	pgsql
Summary:	PostgreSQL database module for PHP
Group:		Development/PHP
URL:		https://www.php.net/pgsql
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	postgresql-libs >= %{postgresql_version}

%description	pgsql
This is a dynamic shared object (DSO) for PHP that will add PostgreSQL database
support.

PostgreSQL database is Open Source product and available without cost.
Postgres, developed originally in the UC Berkeley Computer Science Department,
pioneered many of the object-relational concepts now becoming available in some
commercial databases. It provides SQL92/SQL99 language support, transactions,
referential integrity, stored procedures and type extensibility. PostgreSQL is
an open source descendant of this original Berkeley code.

%package	phar
Summary:	Allows running of complete applications out of .phar files
Group:		Development/PHP
URL:		https://www.php.net/phar
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	php-bz2

%description	phar
This is the extension version of PEAR's PHP_Archive package. Support for
zlib, bz2 and crc32 is achieved without any dependency other than the external
zlib or bz2 extension.

.phar files can be read using the phar stream, or with the Phar class. If the
SPL extension is available, a Phar object can be used as an array to iterate
over a phar's contents or to read files directly from the phar.

Phar archives can be created using the streams API or with the Phar class, if
the phar.readonly ini variable is set to false.

Full support for MD5 and SHA1 signatures is possible. Signatures can be
required if the ini variable phar.require_hash is set to true. When PECL
extension hash is available then SHA-256 and SHA-512 signatures are supported as
well.

%package	posix
Summary:	POSIX extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/posix
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	posix
This is a dynamic shared object (DSO) for PHP that will add POSIX functions
support to PHP.

This module contains an interface to those functions defined in the IEEE 1003.1
(POSIX.1) standards document which are not accessible through other means.
POSIX.1 for example defined the open(), read(), write() and close() functions,
too, which traditionally have been part of PHP 3 for a long time. Some more
system specific functions have not been available before, though, and this
module tries to remedy this by providing easy access to these functions.

%package	readline
Summary:	Readline extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/readline
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	readline
This PHP module adds support for readline functions (only for cli and cgi
SAPIs).

The readline() functions implement an interface to the GNU Readline library.
These are functions that provide editable command lines. An example being the
way Bash allows you to use the arrow keys to insert characters or scroll
through command history. Because of the interactive nature of this library, it
will be of little use for writing Web applications, but may be useful when
writing scripts used from a command line.

%package	session
Summary:	Session extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/session
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	webserver

%description	session
This is a dynamic shared object (DSO) for PHP that will add session support.

Session support in PHP consists of a way to preserve certain data across
subsequent accesses. This enables you to build more customized applications and
increase the appeal of your web site.

A visitor accessing your web site is assigned a unique id, the so-called
session id. This is either stored in a cookie on the user side or is propagated
in the URL.

%package	shmop
Summary:	Shared Memory Operations extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/shmop
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	shmop
This is a dynamic shared object (DSO) for PHP that will add Shared Memory
Operations support.

Shmop is an easy to use set of functions that allows PHP to read, write, create
and delete Unix shared memory segments.

%package	snmp
Summary:	NET-SNMP extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/snmp
Requires:	net-snmp-mibs
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	snmp
This is a dynamic shared object (DSO) for PHP that will add SNMP support using
the NET-SNMP libraries.

In order to use the SNMP functions you need to install the NET-SNMP package.

%package	soap
Summary:	Soap extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/soap
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	soap
This is a dynamic shared object (DSO) for PHP that will add soap support.

The SOAP extension can be used to write SOAP Servers and Clients. It supports
subsets of SOAP 1.1, SOAP 1.2 and WSDL 1.1 specifications.

%package	sockets
Summary:	Sockets extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/sockets
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	sockets
This is a dynamic shared object (DSO) for PHP that will add sockets support.

The socket extension implements a low-level interface to the socket
communication functions based on the popular BSD sockets, providing the
possibility to act as a socket server as well as a client.

%package	sodium
Summary:	Wrapper for the Sodium cryptographic library
Group:		Development/PHP
URL:		https://php.net/manual/en/book.sodium.php
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	sodium
This is a dynamic shared object (DSO) for PHP that will add libsodium support.

%package	sqlite3
Summary:	SQLite database bindings for PHP
Group:		Development/PHP
URL:		https://www.php.net/sqlite3
Requires:	php-pdo = %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Obsoletes:	php-sqlite < 4:1.0.4

%description	sqlite3
This is an extension for the SQLite Embeddable SQL Database Engine. SQLite is a
C library that implements an embeddable SQL database engine. Programs that link
with the SQLite library can have SQL database access without running a separate
RDBMS process.

SQLite is not a client library used to connect to a big database server. SQLite
is the server. The SQLite library reads and writes directly to and from the
database files on disk.

%package	sysvmsg
Summary:	SysV msg extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/sem
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	sysvmsg
This is a dynamic shared object (DSO) for PHP that will add SysV message queues
support.

%package	sysvsem
Summary:	SysV sem extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/sem
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	sysvsem
This is a dynamic shared object (DSO) for PHP that will add SysV semaphores
support.

%package	sysvshm
Summary:	SysV shm extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/sem
Requires:	php-ini >= %{epoch}:%{version}


%description	sysvshm
This is a dynamic shared object (DSO) for PHP that will add SysV Shared Memory
support.

%package	tidy
Summary:	Tidy HTML Repairing and Parsing for PHP
Group:		Development/PHP
URL:		https://www.php.net/tidy
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	tidy
Tidy is a binding for the Tidy HTML clean and repair utility which allows you
to not only clean and otherwise manipulate HTML documents, but also traverse
the document tree using the Zend Engine 2 OO semantics.

%package	tokenizer
Summary:	Tokenizer extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/tokenizer
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	tokenizer
This is a dynamic shared object (DSO) for PHP that will add Tokenizer support.

The tokenizer functions provide an interface to the PHP tokenizer embedded in
the Zend Engine. Using these functions you may write your own PHP source
analyzing or modification tools without having to deal with the language
specification at the lexical level.

%package	xmlreader
Summary:	Xmlreader extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/xmlreader
Requires:	php-dom = %{epoch}:%{version}
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	xmlreader
XMLReader represents a reader that provides non-cached, forward-only access to
XML data. It is based upon the xmlTextReader api from libxml

%package	xmlwriter
Summary:	Provides fast, non-cached, forward-only means to write XML data
Group:		Development/PHP
URL:		https://www.php.net/xmlwriter
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	xmlwriter
This extension wraps the libxml xmlWriter API. Represents a writer that
provides a non-cached, forward-only means of generating streams or files
containing XML data.

%package	xsl
Summary:	Xsl extension module for PHP
Group:		Development/PHP
URL:		https://www.php.net/xsl
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	xsl
This is a dynamic shared object (DSO) for PHP that will add xsl support.

The XSL extension implements the XSL standard, performing XSLT transformations
using the libxslt library

%package	zip
Summary:	A zip management extension for PHP
Group:		Development/PHP
URL:		https://www.php.net/zip
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}

%description	zip
This is a dynamic shared object (DSO) for PHP that will add zip support to
create and read zip files using the libzip library.

%package	fpm
Summary:	PHP FastCGI Process Manager
Group:		Development/PHP
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
#add all common requirements to the lib as a central
Requires:	php-ini >= %{epoch}:%{version}
Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	php-session = %{epoch}:%{version}
Requires:	webserver
Provides:	php = %{epoch}:%{version}
Suggests:	php-fpm-apache

%description	fpm
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the FastCGI Process Manager.

%package	fpm-apache
Summary:	PHP FastCGI Process Manager config for apache
Group:		Development/PHP
Requires:	php-fpm
Requires:	apache >= 2.2
Requires:       apache-mod_proxy
Conflicts:	apache-mod_php
Provides:	php-webinterface = %{epoch}:%{version}-%{release}

%description	fpm-apache
This provides the configuration files to use php-fpm with Apache.

%package	fpm-nginx
Summary:	PHP FastCGI Process Manager config for nginx
Group:		Development/PHP
Requires:	php-fpm
Requires:	nginx
Provides:	php-webinterface = %{epoch}:%{version}-%{release}

%description	fpm-nginx
This provides the configuration files to use php-fpm with Apache.

%package -n	phpdbg
Summary:	The interactive PHP debugger
Group:		Development/PHP
Requires:	php-ini >= %{epoch}:%{version}

Requires: php-common = %{epoch}:%{php_common_major}.%{php_common_sub}
Requires:	php = %{epoch}:%{version}

%description -n	phpdbg
PHP is an HTML-embeddable scripting language. PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple. The
most common use of PHP coding is probably as a replacement for CGI scripts.

This package contains the The interactive PHP debugger.

Implemented as a SAPI module, phpdbg can exert complete control over the
environment without impacting the functionality or performance of your code.

phpdbg aims to be a lightweight, powerful, easy to use debugging platform for
PHP5.4+

%prep

%autosetup -S hg -n php-src-php-%{version}%{?_RC:%_RC}

cp %{SOURCE1} php-test.ini
cp %{SOURCE4} php-fpm.service
cp %{SOURCE5} php-fpm.sysconf
cp %{SOURCE6} php-fpm.logrotate
cp %{SOURCE7} create_data_file.php

# Change perms otherwise rpm would get fooled while finding requires
find -name "*.inc" -type f -not -path "./.hg/*" -print0| xargs -0 chmod 644
find -name "*.php*" -type f -not -path "./.hg/*" -print0| xargs -0 chmod 644
find -name "*README*" -type f -not -path "./.hg/*" -print0| xargs -0 chmod 644

mkdir -p php-devel/extensions
mkdir -p php-devel/sapi

# Install test files in php-devel
#no one really needs those tests, except on build, skipped for now
#cp -a tests php-devel


# fix paths
perl -pi -e "s|/php/build|/php/%{vers}/build|" \
	scripts/Makefile.frag \
	scripts/phpize.in
perl -pi -e "s|include/php|include/php%{vers}|" \
	ext/pdo/Makefile.frag \
	build/Makefile.global \
	build/php.m4
perl -pi -e "s|\(includedir\)/php|\(includedir\)/php%{vers}|" \
	scripts/Makefile.frag \
	Makefile.fragments
perl -pi -e "s|@includedir@/php|@includedir@/php%{vers}|" \
	scripts/php-config.in
perl -pi -e "s|\@includedir\@\`/php|\@includedir\@\`/php%{vers}|" \
	scripts/phpize.in

cp -dpR ext/* php-devel/extensions/
rm -f php-devel/extensions/informix/stub.c
rm -f php-devel/extensions/standard/.deps
rm -f php-devel/extensions/skeleton/EXPERIMENTAL

# SAPI
cp -dpR sapi/* php-devel/sapi/
rm -f php-devel/sapi/thttpd/stub.c
rm -f php-devel/sapi/cgi/php.sym
rm -f php-devel/sapi/fastcgi/php.sym
rm -f php-devel/sapi/pi3web/php.sym

# cleanup
find php-devel -name "*.droplet" | xargs rm -f

# don't ship MS Windows source
rm -rf php-devel/extensions/com_dotnet

# likewise with these:
find php-devel -name "*.dsp" | xargs rm -f
find php-devel -name "*.mak" | xargs rm -f
find php-devel -name "*.w32" | xargs rm

# remove all testcases; we don't need them in devel
find php-devel -name tests -type d -print0| xargs -0 rm -rf

# make sure using system libs
rm -rf ext/pcre/pcrelib
rm -rf ext/pdo_sqlite/sqlite

%build
%serverbuild

export CFLAGS="${CFLAGS} -O3 -fno-strict-aliasing -fvisibility=default -Wno-error=deprecated-declarations -Wno-deprecated-declarations"
export LDFLAGS="%{ldflags} -O3 -lz"
export CXXFLAGS="${CXXFLAGS} -O3 -fvisibility=default -fvisibility-inlines-hidden -Wno-error=deprecated-declarations -Wno-deprecated-declarations"

cat > php-devel/buildext <<EOF
#!/bin/bash
gcc -Wall -fPIC -shared $CFLAGS \\
    -I. \`%{_bindir}/php-config --includes\` \\
    -I%{_includedir}/libxml2 \\
    -I%{_includedir}/freetype \\
    -I%{_includedir}/openssl \\
    -I%{_usrsrc}/php-devel/%{vers}/ext \\
    -I%{_includedir}/\$1 \\
    \$4 \$2 -o \$1.so \$3 -lc
EOF

chmod 755 php-devel/buildext



#export PHP_AUTOCONF=autoconf-2.13
rm -f configure
rm -rf autom4te.cache
./buildconf --force

# Do this patch with a perl hack...
perl -pi -e "s|'\\\$install_libdir'|'%{_libdir}'|" ltmain.sh

export oldstyleextdir=yes
export EXTENSION_DIR="%{_libdir}/php/%{extensionsname}"
export PROG_SENDMAIL="%{_sbindir}/sendmail"
export GD_SHARED_LIBADD="$GD_SHARED_LIBADD -lm"
export ENCHANT_CFLAGS=`pkgconf --cflags enchant-2`
export ENCHANT_LIBS=`pkgconf --libs enchant-2`

# never use "--disable-rpath", it does the opposite
#    --bindir=%{_bindir} \
 #   --sbindir=%{_sbindir} \
#    --includedir=%{_includedir} \
#    --sysconfdir=%{_sysconfdir} \
#    --mandir=%{_mandir} \
#    --with-config-file-path=%{_sysconfdir} \

# Configure php
./configure \
	--with-config-file-path=%{_libdir}/php/%{inidir} \
	--program-suffix=%{php_common_major}%{php_common_sub} \
    --enable-fpm --with-fpm-user=apache --with-fpm-group=apache --with-fpm-systemd \
    --enable-cli \
    --with-apxs2=%{_httpd_apxs} --enable-zts \
    --with-pic \
    --build=%{_build} \
    --prefix=%{_prefix} \
    --exec-prefix=%{_prefix} \
    --datadir=%{_datadir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --mandir=%{_mandir} \
    --sysconfdir=%{_sysconfdir} \
    --localstatedir=%{_sharedstatedir} \
    --enable-shared=yes \
    --enable-static=no \
    --disable-debug  \
    --enable-bcmath=shared \
    --enable-calendar=shared \
    --enable-ctype=shared \
    --enable-dba=shared \
    --enable-dom=shared,%{_prefix} \
    --enable-exif=shared \
    --enable-fileinfo=shared \
    --enable-filter=shared \
    --enable-ftp=shared \
    --enable-gd=shared \
    --enable-intl=shared \
    --enable-mbregex \
    --enable-mbstring=shared,%{_prefix} \
    --enable-mysqlnd=shared,%{_bindir}/mysql_config \
    --enable-opcache=shared \
    --enable-pcntl=shared \
    --enable-pdo=shared,%{_prefix} \
    --enable-phar=shared \
    --enable-phpdbg \
    --enable-posix=shared \
    --enable-session=shared,%{_prefix} \
    --enable-shmop=shared,%{_prefix} \
    --enable-simplexml \
    --enable-soap=shared,%{_prefix} \
    --enable-sockets=shared,%{_prefix} \
    --enable-sysvmsg=shared,%{_prefix} \
    --enable-sysvsem=shared,%{_prefix} \
    --enable-sysvshm=shared,%{_prefix} \
    --enable-tokenizer=shared,%{_prefix} \
    --enable-xmlreader=shared,%{_prefix} \
    --enable-xmlwriter=shared,%{_prefix} \
    --with-zip=shared \
    --with-bz2=shared,%{_prefix} \
    --with-cdb \
    --with-config-file-scan-dir=%{_sysconfdir}/php.d \
    --with-curl=shared,%{_prefix} \
    --with-db4 \
    --with-enchant=shared,%{_prefix} \
    --with-freetype=%{_prefix} \
    --with-gdbm \
    --with-external-gd=shared,%{_prefix} \
    --with-gettext=shared,%{_prefix} \
    --with-gmp=shared,%{_prefix} \
    --with-iconv=shared \
    --with-imap=shared,%{_prefix} \
    --with-imap-ssl=%{_prefix} \
    --with-jpeg=%{_prefix} \
    --with-ldap-sasl \
    --with-ldap=shared,%{_prefix} \
    --with-libdir=%{_lib} \
    --with-mhash=shared,%{_prefix} \
    --with-mysqli=shared,mysqlnd \
    --with-mysql-sock=/var/lib/mysql/mysql.sock \
    --with-openssl-dir=%{_prefix} \
    --with-openssl=shared,%{_prefix} \
    --without-pear \
    --with-external-pcre=%{_prefix} \
    --with-pcre-jit \
    --with-pdo-dblib=shared,%{_prefix} \
    --with-pdo-firebird=shared,%{_libdir}/firebird \
    --with-pdo-mysql=shared,mysqlnd \
    --with-pdo-odbc=shared,unixODBC,%{_prefix} \
    --with-pdo-pgsql=shared,%{_prefix} \
    --with-pdo-sqlite=shared,%{_prefix} \
    --with-pgsql=shared,%{_prefix} \
    --with-readline=shared,%{_prefix} \
    --with-snmp=shared,%{_prefix} \
    --with-sodium=shared,%{_prefix} \
    --with-sqlite3=shared,%{_prefix} \
    --with-system-ciphers \
    --with-tidy=shared,%{_prefix} \
    --with-unixODBC=shared,%{_prefix} \
    --with-webp=%{_prefix} \
    --with-xpm=%{_prefix}/X11R6 \
    --with-xsl=shared,%{_prefix} \
    --with-zlib=shared,%{_prefix} \
    --with-zlib-dir=%{_prefix}

%make_build

%if %{build_libmagic}
# keep in sync with latest system magic, the next best thing when system libmagic can't be used...
sapi/cli/php create_data_file.php %{_datadir}/misc/magic.mgc > ext/fileinfo/data_file.c
rm -rf ext/fileinfo/.libs ext/fileinfo/*.lo ext/fileinfo/*.la modules/fileinfo.so modules/fileinfo.la
cp -p ext/fileinfo/data_file.c php-devel/extensions/fileinfo/data_file.c
%make_build
%endif

%install

install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/%{extensionsname}
install -d %{buildroot}%{_libdir}/php/%{inidir}
install -d %{buildroot}%{_usrsrc}/php-devel/%{vers}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_sysconfdir}/cron.d
install -d %{buildroot}/var/lib/php
install -d %{buildroot}%{_datadir}/php
ln -rs %{buildroot}%{_libdir}/php/%{extensionsname} %{buildroot}%{_libdir}/php/extensions-latest


make install \
	INSTALL_ROOT=%{buildroot} \
	INSTALL_IT="\$(LIBTOOL) --mode=install install libphp.la %{buildroot}%{_libdir}/"

#clean
rm -f %{buildroot}%{_sysconfdir}/php-fpm.conf.default \
   %{buildroot}%{_sysconfdir}/php-fpm.d/www.conf.default \
  %{buildroot}%{_datadir}/fpm/status.html


# borked autopoo
rm -f %{buildroot}%{_bindir}/php %{buildroot}%{_bindir}/php-cgi %{buildroot}%{_bindir}/phpdbg
./libtool --silent --mode=install install sapi/cli/php %{buildroot}%{_bindir}/php%{vers}
./libtool --silent --mode=install install sapi/cgi/php-cgi %{buildroot}%{_bindir}/php-cgi%{vers}
./libtool --silent --mode=install install sapi/phpdbg/phpdbg %{buildroot}%{_bindir}/phpdbg%{vers}

# compat php-fcgi symlink
ln -s php-cgi%{vers} %{buildroot}%{_bindir}/php-fcgi%{vers}

cp -dpR php-devel/* %{buildroot}%{_usrsrc}/php-devel/%{vers}/
install -m0644 run-tests*.php %{buildroot}%{_usrsrc}/php-devel/%{vers}/
install -m0644 main/internal_functions.c %{buildroot}%{_usrsrc}/php-devel/%{vers}/

install -m0644 sapi/cli/php.1 %{buildroot}%{_mandir}/man1/php%{vers}.1
install -m0644 scripts/man1/phpize.1 %{buildroot}%{_mandir}/man1/phpize%{vers}.1
install -m0644 scripts/man1/php-config.1 %{buildroot}%{_mandir}/man1/php-config%{vers}.1

# fpm
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/php-fpm.d
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}/var/lib/php-fpm
install -d %{buildroot}/var/log/php-fpm
install -D -p -m 0644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/php-fpm.conf
# a small bug here...
echo "; place your config here" > %{buildroot}%{_sysconfdir}/php-fpm.d/default.conf
install -m0644 sapi/fpm/www.conf %{buildroot}%{_sysconfdir}/php-fpm.d/

./libtool --silent --mode=install install sapi/fpm/php-fpm %{buildroot}%{_sbindir}/php-fpm%{vers}
install -m0644 sapi/fpm/php-fpm.8 %{buildroot}%{_mandir}/man8/php-fpm%{vers}.8
install -m0644 sapi/fpm/php-fpm.conf %{buildroot}%{_sysconfdir}/
install -m0644 php-fpm.service %{buildroot}%{_unitdir}/php-fpm.service
install -m0644 php-fpm.sysconf %{buildroot}%{_sysconfdir}/sysconfig/php-fpm
install -m0644 php-fpm.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/php-fpm
install -d %{buildroot}%{_httpd_moddir}
install -d %{buildroot}%{_httpd_modconfdir}
install -m0644 %{SOURCE10} %{buildroot}%{_httpd_modconfdir}/
install -m0644 %{SOURCE13} %{buildroot}%{_httpd_modconfdir}/

# Nginx configuration

install -D -m 644 %{SOURCE20} $RPM_BUILD_ROOT%{_sysconfdir}/nginx/conf.d/php-fpm.conf
install -D -m 644 %{SOURCE21} $RPM_BUILD_ROOT%{_sysconfdir}/nginx/default.d/php.conf

# adjust a bit
perl -pi -e "s|^pid.*|pid = /run/php-fpm/php-fpm.pid|g" %{buildroot}%{_sysconfdir}/php-fpm.conf

ln -snf extensions %{buildroot}%{_usrsrc}/php-devel/%{vers}/ext
mv %{buildroot}%{_libdir}/libphp.so %{buildroot}%{_httpd_moddir}/%{mod_name}.so

# extensions
install -m0644 %{_sourcedir}/*.ini %{buildroot}%{_sysconfdir}/php.d/
install -m0755 %{SOURCE2} %{buildroot}%{_libdir}/php/maxlifetime
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.d/php
install -m0644 %{SOURCE14} %{buildroot}%{_sysconfdir}/php.ini
install -m0644 %{SOURCE8} %{buildroot}%{_libdir}/php/%{inidir}/php.ini

# lib64 hack
perl -pi -e "s|/usr/lib/|%{_libdir}/|" \
	%{buildroot}%{_sysconfdir}/cron.d/php \
	%{buildroot}%{_libdir}/php/%{inidir}/php.ini \
	php.ini-production

# make extensions version dependant
perl -pi -e "s|php/extensions|php/%{extensionsname}|" \
	%{buildroot}%{_sysconfdir}/cron.d/php \
	%{buildroot}%{_libdir}/php/%{inidir}/php.ini \
	php.ini-production


# install doc manually in _docdir/php, rather than _docdir/php-doc
install -d -m 755 %{buildroot}%{_docdir}/php
install -m 644 \
	CODING_STANDARDS.md EXTENSIONS LICENSE NEWS \
	php.ini-production \
	README.md README.REDIST.BINS UPGRADING UPGRADING.INTERNALS \
	%{buildroot}%{_docdir}/php

# fix docs
cp Zend/LICENSE Zend/ZEND_LICENSE
cp ext/openssl/CREDITS CREDITS.openssl
cp ext/spl/CREDITS CREDITS.spl
cp ext/libxml/CREDITS CREDITS.libxml
cp ext/zlib/CREDITS CREDITS.zlib

# cgi docs
cp sapi/cgi/CREDITS CREDITS.cgi

# cli docs
cp sapi/cli/CREDITS CREDITS.cli

# phar fixes
if [ -L %{buildroot}%{_bindir}/phar%{vers} ]; then
	rm -f %{buildroot}%{_bindir}/phar%{vers}
	mv %{buildroot}%{_bindir}/phar%{vers}.phar %{buildroot}%{_bindir}/phar%{vers}
fi

# house cleaning
rm -f %{buildroot}%{_bindir}/pear
rm -f %{buildroot}%{_libdir}/*.*a

# php-devel.i586: E: zero-length /usr/src/php-devel/extensions/pdo_firebird/EXPERIMENTAL
find %{buildroot}%{_usrsrc}/php-devel/%{vers} -type f -size 0 -exec rm -f {} \;

%multiarch_includes %{buildroot}%{_includedir}/php%{vers}/main/build-defs.h

%multiarch_includes %{buildroot}%{_includedir}/php%{vers}/main/php_config.h

%check
%if %{build_test}
# do a make test
export PHPRC="."
export REPORT_EXIT_STATUS=2
#export TEST_PHP_DETAILED=0
export TEST_PHP_ERROR_STYLE=EMACS
#export TEST_PHP_LOG_FORMAT=LESODC
export PHP_INI_SCAN_DIR=/dev/null

# FAILING TESTS:
# unknown errors with ext/date/tests/oo_002.phpt probably because of php-5.2.5-systzdata.patch
# https://bugs.php.net/bug.php?id=22414 (claimed to be fixed in 2003, but seems not)
# unknown errors with ext/standard/tests/general_functions/phpinfo.phpt
# unknown errors with ext/standard/tests/strings/setlocale_*
# many errors result on expected failed api version, skip these
# also skip tests which fork, run fpm, make http-requests, ...
disable_tests=" \
ext/date/tests/oo_002.phpt \
ext/standard/tests/file/bug22414.phpt \
ext/standard/tests/filters/bug81294.phpt \
ext/standard/tests/general_functions/phpinfo.phpt \
ext/standard/tests/image/getimagesize_swc.phpt \
ext/standard/tests/image/getimagesize_variation_005.phpt \
ext/standard/tests/image/getimagesize_variation4.phpt \
ext/standard/tests/image/image_type_to_mime_type_variation4.phpt \
ext/standard/tests/streams/bug64433.phpt \
ext/standard/tests/streams/bug75776.phpt \
ext/standard/tests/streams/bug77080.phpt \
ext/standard/tests/streams/bug81346.phpt \
ext/standard/tests/strings/htmlentities05.phpt \
ext/standard/tests/strings/htmlentities06.phpt \
ext/standard/tests/strings/htmlentities07.phpt \
ext/standard/tests/strings/htmlentities08.phpt \
ext/standard/tests/strings/htmlentities09.phpt \
ext/standard/tests/strings/htmlentities16.phpt \
ext/standard/tests/strings/htmlentities25.phpt \
ext/standard/tests/strings/setlocale_basic1.phpt \
ext/standard/tests/strings/setlocale_basic2.phpt \
ext/standard/tests/strings/setlocale_basic3.phpt \
ext/standard/tests/strings/setlocale_variation1.phpt \
ext/standard/tests/strings/setlocale_variation3.phpt \
ext/standard/tests/strings/setlocale_variation4.phpt \
ext/standard/tests/strings/setlocale_variation5.phpt \
ext/standard/tests/url/get_headers_error_003.phpt \
sapi/cgi/tests/bug69487.phpt \
sapi/cli/tests/bug43177.phpt \
sapi/cli/tests/bug61679.phpt \
sapi/cli/tests/bug61977.phpt \
sapi/cli/tests/bug64878.phpt \
sapi/cli/tests/bug65066_100.phpt \
sapi/cli/tests/bug65066_422.phpt \
sapi/cli/tests/bug65066_511.phpt \
sapi/cli/tests/bug65633.phpt \
sapi/cli/tests/bug66606_1.phpt \
sapi/cli/tests/bug66606_2.phpt \
sapi/cli/tests/bug66830.phpt \
sapi/cli/tests/bug67429_1.phpt \
sapi/cli/tests/bug67429_2.phpt \
sapi/cli/tests/bug68291.phpt \
sapi/cli/tests/bug68745.phpt \
sapi/cli/tests/bug69655.phpt \
sapi/cli/tests/bug69953.phpt \
sapi/cli/tests/bug70264.phpt \
sapi/cli/tests/bug70470.phpt \
sapi/cli/tests/bug71005.phpt \
sapi/cli/tests/bug73630a.phpt \
sapi/cli/tests/bug73630.phpt \
sapi/cli/tests/bug81305.phpt \
sapi/cli/tests/upload_2G.phpt \
Zend/tests/concat_003.phpt \
sapi/fpm/tests/bug76601-reload-child-signals.phpt \
sapi/fpm/tests/bug74083-concurrent-reload.phpt \
sapi/cli/tests/cli_server_persistent_string001.phpt \
sapi/cli/tests/cli_server_persistent_string002.phpt \
sapi/cli/tests/emptyheader.phpt \
sapi/cli/tests/php_cli_server_001.phpt \
sapi/cli/tests/php_cli_server_002.phpt \
sapi/cli/tests/php_cli_server_003.phpt \
sapi/cli/tests/php_cli_server_004.phpt \
sapi/cli/tests/php_cli_server_005.phpt \
sapi/cli/tests/php_cli_server_006.phpt \
sapi/cli/tests/php_cli_server_007.phpt \
sapi/cli/tests/php_cli_server_008.phpt \
sapi/cli/tests/php_cli_server_009.phpt \
sapi/cli/tests/php_cli_server_010.phpt \
sapi/cli/tests/php_cli_server_012.phpt \
sapi/cli/tests/php_cli_server_013.phpt \
sapi/cli/tests/php_cli_server_014.phpt \
sapi/cli/tests/php_cli_server_015.phpt \
sapi/cli/tests/php_cli_server_016.phpt \
sapi/cli/tests/php_cli_server_017.phpt \
sapi/cli/tests/php_cli_server_018.phpt \
sapi/cli/tests/php_cli_server_019.phpt \
sapi/cli/tests/php_cli_server_020.phpt \
sapi/cli/tests/php_cli_server_021.phpt \
sapi/cli/tests/php_cli_server_022.phpt \
sapi/cli/tests/std_streams.phpt \
sapi/fpm/tests/bug75212-php-value-in-user-ini.phpt \
sapi/fpm/tests/log-bwd-multiple-msgs-stdout-stderr.phpt \
tests/basic/bug67198.phpt \
tests/output/stream_isatty_err.phpt \
tests/output/stream_isatty_in-err.phpt \
tests/output/stream_isatty_in-out.phpt \
tests/output/stream_isatty_out-err.phpt \
tests/output/stream_isatty_out.phpt \
"

[[ -n "$disable_tests" ]] && \
for f in $disable_tests; do
	[[ -f "$f" ]] && mv $f $f.disabled
done

TEST_PHP_EXECUTABLE=sapi/cli/php sapi/cli/php -c ./php-test.ini run-tests.php %{?_smp_build_ncpus:-j%{_smp_build_ncpus}} --offline -q
%endif


%files doc
%doc LICENSE NEWS Zend/ZEND_LICENSE
%doc php.ini-production
%doc CREDITS.libxml CREDITS.zlib

%files ini
%{_docdir}/php
%config(noreplace) %{_sysconfdir}/php.ini
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE102})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE103})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE104})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE101})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE110})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE111})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE112})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE113})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE114})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE115})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE116})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE117})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE118})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE119})
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE120})


%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1066})
%dir %{_sysconfdir}/php.d
%dir %{_libdir}/php
%dir %{_datadir}/php
%dir %{_libdir}/php/%{extensionsname}
%{_libdir}/php/extensions-latest
%dir %{_libdir}/php/%{inidir}
%config(noreplace) %{_libdir}/php/%{inidir}/php.ini

%files -n apache-mod_php
%config(noreplace) %{_httpd_modconfdir}/%(basename %{SOURCE13})
%{_httpd_moddir}/%{mod_name}.so
%post -n apache-mod_php
alternatives --install %{_httpd_moddir}/mod_php.so apache-mod_php %{_httpd_moddir}/%{mod_name}.so %{vers}
%posttrans -n apache-mod_php
alternatives --install %{_httpd_moddir}/mod_php.so apache-mod_php %{_httpd_moddir}/%{mod_name}.so %{vers}
%postun -n apache-mod_php
alternatives --remove apache-mod_php %{_httpd_moddir}/%{mod_name}.so

%files cli
%doc CREDITS.cli
%{_bindir}/php%{vers}
%{_mandir}/man1/php%{vers}.1*
%post cli
alternatives --install %{_bindir}/php php %{_bindir}/php%{vers} %{vers} \
	--slave %{_mandir}/man1/php.1.xz manphp %{_mandir}/man1/php%{vers}.1.xz
%posttrans cli
alternatives --install %{_bindir}/php php %{_bindir}/php%{vers} %{vers} \
	--slave %{_mandir}/man1/php.1.xz manphp %{_mandir}/man1/php%{vers}.1.xz
%postun cli
alternatives --remove php %{_bindir}/php%{vers}

%files cgi
%doc CREDITS.cgi
%{_bindir}/php-cgi%{vers}
%{_bindir}/php-fcgi%{vers}
%{_mandir}/man1/php-cgi%{vers}.1*
%post cgi
alternatives --install %{_bindir}/php-cgi php-cgi %{_bindir}/php-cgi%{vers} %{vers} \
	--slave %{_bindir}/php-fcgi php-fcgi %{_bindir}/php-cgi%{vers}\
	--slave %{_mandir}/man1/php-cgi.1.xz manphp-cgi %{_mandir}/man1/php-cgi%{vers}.1.xz
%posttrans cgi
alternatives --install %{_bindir}/php-cgi php-cgi %{_bindir}/php-cgi%{vers} %{vers} \
	--slave %{_bindir}/php-fcgi php-fcgi %{_bindir}/php-cgi%{vers}\
	--slave %{_mandir}/man1/php-cgi.1.xz manphp-cgi %{_mandir}/man1/php-cgi%{vers}.1.xz
%postun cgi
alternatives --remove php-cgi %{_bindir}/php-cgi%{vers}

%files devel
%doc CODING_STANDARDS.md EXTENSIONS
%doc Zend/ZEND_*
%{_bindir}/php-config%{vers}
%{_bindir}/phpize%{vers}
%{_libdir}/php/%{vers}/build
%{_usrsrc}/php-devel/%{vers}
%{multiarch_includedir}/php%{vers}/main/build-defs.h
%{multiarch_includedir}/php%{vers}/main/php_config.h
%{_includedir}/php%{vers}
%{_mandir}/man1/php-config%{vers}.1*
%{_mandir}/man1/phpize%{vers}.1*
%post devel
alternatives --install %{_bindir}/php-config php-config %{_bindir}/php-config%{vers} %{vers} \
	--slave %{_bindir}/phpize phpize %{_bindir}/phpize%{vers} \
	--slave %{_mandir}/man1/php-config.1.xz manphp-config %{_mandir}/man1/php-config%{vers}.1.xz \
	--slave %{_mandir}/man1/phpize.1 manphpize %{_mandir}/man1/phpize%{vers}.1.xz
%postun devel
alternatives --remove php-config %{_bindir}/php-config%{vers}

%files openssl
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1012})
%{_libdir}/php/%{extensionsname}/openssl.so

%files zlib
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1013})
%{_libdir}/php/%{extensionsname}/zlib.so

%files bcmath
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1051})
%{_libdir}/php/%{extensionsname}/bcmath.so

%files bz2
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE105})
%{_libdir}/php/%{extensionsname}/bz2.so

%files calendar
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE106})
%{_libdir}/php/%{extensionsname}/calendar.so

%files ctype
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE107})
%{_libdir}/php/%{extensionsname}/ctype.so

%files curl
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE108})
%{_libdir}/php/%{extensionsname}/curl.so

%files dba
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE109})
%{_libdir}/php/%{extensionsname}/dba.so

%files dom
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1010})
%{_libdir}/php/%{extensionsname}/dom.so

%files enchant
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1026})
%{_libdir}/php/%{extensionsname}/enchant.so

%files exif
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1011})
%{_libdir}/php/%{extensionsname}/exif.so

%files fileinfo
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1023})
%{_libdir}/php/%{extensionsname}/fileinfo.so

%files filter
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1060})
%{_libdir}/php/%{extensionsname}/filter.so

%files ftp
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1014})
%{_libdir}/php/%{extensionsname}/ftp.so

%files gd
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1015})
%{_libdir}/php/%{extensionsname}/gd.so

%files gettext
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1016})
%{_libdir}/php/%{extensionsname}/gettext.so

%files gmp
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1017})
%{_libdir}/php/%{extensionsname}/gmp.so

%files iconv
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1018})
%{_libdir}/php/%{extensionsname}/iconv.so

%files imap
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1019})
%{_libdir}/php/%{extensionsname}/imap.so

%files intl
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1020})
%{_libdir}/php/%{extensionsname}/intl.so

%files ldap
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1021})
%{_libdir}/php/%{extensionsname}/ldap.so

%files mbstring
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1022})
%{_libdir}/php/%{extensionsname}/mbstring.so

%files mysqli
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1025})
%{_libdir}/php/%{extensionsname}/mysqli.so

%files mysqlnd
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1024})
%{_libdir}/php/%{extensionsname}/mysqlnd.so

%files odbc
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1027})
%{_libdir}/php/%{extensionsname}/odbc.so

%files opcache
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1064})
%{_libdir}/php/%{extensionsname}/opcache.so

%files pcntl
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1028})
%{_libdir}/php/%{extensionsname}/pcntl.so

%files pdo
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1052})
%{_libdir}/php/%{extensionsname}/pdo.so

%files pdo_dblib
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1053})
%{_libdir}/php/%{extensionsname}/pdo_dblib.so

%files pdo_firebird
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1058})
%{_libdir}/php/%{extensionsname}/pdo_firebird.so

%files pdo_mysql
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1054})
%{_libdir}/php/%{extensionsname}/pdo_mysql.so

%files pdo_odbc
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1055})
%{_libdir}/php/%{extensionsname}/pdo_odbc.so

%files pdo_pgsql
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1056})
%{_libdir}/php/%{extensionsname}/pdo_pgsql.so

%files pdo_sqlite
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1057})
%{_libdir}/php/%{extensionsname}/pdo_sqlite.so

%files pgsql
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1030})
%{_libdir}/php/%{extensionsname}/pgsql.so

%files phar
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1063})
%{_libdir}/php/%{extensionsname}/phar.so
%{_bindir}/phar%{vers}
%{_mandir}/man1/phar%{vers}.1*
%{_mandir}/man1/phar%{vers}.phar.1*
%post phar
alternatives --install %{_bindir}/phar phar %{_bindir}/phar%{vers} %{vers} \
	--slave %{_mandir}/man1/phar.1.xz manphar %{_mandir}/man1/phar%{vers}.1.xz \
	--slave %{_mandir}/man1/phar.phar.1.xz manphar.phar %{_mandir}/man1/phar%{vers}.phar.1.xz
%posttrans phar
alternatives --install %{_bindir}/phar phar %{_bindir}/phar%{vers} %{vers} \
	--slave %{_mandir}/man1/phar.1.xz manphar %{_mandir}/man1/phar%{vers}.1.xz \
	--slave %{_mandir}/man1/phar.phar.1.xz manphar.phar %{_mandir}/man1/phar%{vers}.phar.1.xz
%postun phar
alternatives --remove phar %{_bindir}/phar%{vers}

%files posix
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1031})
%{_libdir}/php/%{extensionsname}/posix.so

%files readline
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1032})
%{_libdir}/php/%{extensionsname}/readline.so

%files session
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1034})
%config(noreplace) %{_sysconfdir}/cron.d/php
%{_libdir}/php/%{extensionsname}/session.so
%{_libdir}/php/maxlifetime
%attr(01733,apache,apache) %dir /var/lib/php

%files shmop
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1035})
%{_libdir}/php/%{extensionsname}/shmop.so

%files snmp
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1036})
%{_libdir}/php/%{extensionsname}/snmp.so

%files soap
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1037})
%{_libdir}/php/%{extensionsname}/soap.so

%files sockets
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1038})
%{_libdir}/php/%{extensionsname}/sockets.so

%files sodium
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1065})
%{_libdir}/php/%{extensionsname}/sodium.so

%files sqlite3
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1059})
%{_libdir}/php/%{extensionsname}/sqlite3.so

%files sysvmsg
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1040})
%{_libdir}/php/%{extensionsname}/sysvmsg.so

%files sysvsem
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1041})
%{_libdir}/php/%{extensionsname}/sysvsem.so

%files sysvshm
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1042})
%{_libdir}/php/%{extensionsname}/sysvshm.so

%files tidy
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1043})
%{_libdir}/php/%{extensionsname}/tidy.so

%files tokenizer
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1044})
%{_libdir}/php/%{extensionsname}/tokenizer.so

%files xmlreader
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1048})
%{_libdir}/php/%{extensionsname}/xmlreader.so

%files xmlwriter
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1050})
%{_libdir}/php/%{extensionsname}/xmlwriter.so

%files xsl
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1049})
%{_libdir}/php/%{extensionsname}/xsl.so

%files zip
%config(noreplace) %{_sysconfdir}/php.d/%(basename %{SOURCE1062})
%{_libdir}/php/%{extensionsname}/zip.so

%files fpm
%doc sapi/fpm/CREDITS sapi/fpm/LICENSE sapi/fpm/status.html
%{_unitdir}/php-fpm.service
%config(noreplace) %{_sysconfdir}/php-fpm.conf
%config(noreplace) %{_sysconfdir}/sysconfig/php-fpm
%config(noreplace) %{_sysconfdir}/logrotate.d/php-fpm
%dir %{_sysconfdir}/php-fpm.d
%config(noreplace) %{_sysconfdir}/php-fpm.d/default.conf
%config(noreplace) %{_sysconfdir}/php-fpm.d/www.conf
%{_sbindir}/php-fpm%{vers}
%{_mandir}/man8/php-fpm%{vers}.8*
%attr(0711,apache,apache) %dir /var/lib/php-fpm
%attr(0711,apache,apache) %dir /var/log/php-fpm
%{_tmpfilesdir}/php-fpm.conf

%post fpm
alternatives --install %{_sbindir}/php-fpm php-fpm %{_sbindir}/php-fpm%{vers} %{vers} \
	--slave %{_mandir}/man8/php-fpm.8.xz manphp-fpm %{_mandir}/man8/php-fpm%{vers}.8.xz
%_tmpfilescreate php-fpm
%_post_service php-fpm
%posttrans fpm
alternatives --install %{_sbindir}/php-fpm php-fpm %{_sbindir}/php-fpm%{vers} %{vers} \
	--slave %{_mandir}/man8/php-fpm.8.xz manphp-fpm %{_mandir}/man8/php-fpm%{vers}.8.xz
%preun fpm
%_preun_service php-fpm

%postun fpm
alternatives --remove php-fpm %{_sbindir}/php-fpm%{vers}

# rpm filetrigger to reload httpd when installing/removing php extensions
%transfiletriggerin -n apache-mod_php -- %{_libdir}/php/%{extensionsname}/
systemctl reload-or-try-restart httpd.service || :

%transfiletriggerin fpm -- %{_libdir}/php/%{extensionsname}/
systemctl reload-or-try-restart php-fpm.service || :


%files fpm-apache
%config(noreplace) %{_httpd_modconfdir}/%(basename %{SOURCE10})

%files fpm-nginx
%config(noreplace) %{_sysconfdir}/nginx/conf.d/php-fpm.conf
%config(noreplace) %{_sysconfdir}/nginx/default.d/php.conf

%files -n phpdbg
%doc sapi/phpdbg/CREDITS
%doc sapi/phpdbg/*.php
%{_bindir}/phpdbg%{vers}
%{_mandir}/man1/phpdbg%{vers}.1*
%post -n phpdbg
alternatives --install %{_bindir}/phpdbg phpdbg %{_bindir}/phpdbg%{vers} %{vers} \
	--slave %{_mandir}/man1/phpdbg.1.xz manphpdbg %{_mandir}/man1/phpdbg%{vers}.1.xz
%postun -n phpdbg
alternatives --remove phpdbg %{_bindir}/phpdbg%{vers}



%changelog
* Thu Jul 03 2025 mokraemer <mokraemer> 3:8.2.29-1.mga9
+ Revision: 2244552
- new version 8.2.29
- removed old src
- new version 8.2.28
- new version 8.2.27
- new version 8.2.26
- new version 8.2.25
- new version 8.2.24
- new version 8.2.23
- new version 8.2.22
- fix apache config (mga#33355)
- new version 8.2.21
- new version 8.2.20
- new version 8.2.19
- new version 8.2.18
- new version 8.2.17
- new version 8.2.16
- new version 8.2.15
- new version 8.2.14
- new version 8.2.13
- new version 8.2.12
- new version 8.2.11
- new version 8.2.10

* Tue Aug 01 2023 mokraemer <mokraemer> 3:8.2.9-1.mga9
+ Revision: 1964366
- new version 8.2.9

* Wed Jul 05 2023 mokraemer <mokraemer> 3:8.2.8-1.mga9
+ Revision: 1963586
- new version 8.2.8

* Tue Jun 06 2023 mokraemer <mokraemer> 3:8.2.7-1.mga9
+ Revision: 1961130
- new version 8.2.7

* Sat May 13 2023 mokraemer <mokraemer> 3:8.2.6-1.mga9
+ Revision: 1956742
- new version 8.2.6

* Sun Apr 16 2023 daviddavid <daviddavid> 3:8.2.5-2.mga9
+ Revision: 1953237
- do not requires old pcre-devel pkg anymore

* Wed Apr 12 2023 mokraemer <mokraemer> 3:8.2.5-1.mga9
+ Revision: 1952796
- new version 8.2.5

* Tue Mar 14 2023 mokraemer <mokraemer> 3:8.2.4-1.mga9
+ Revision: 1949020
- new version 8.2.4

* Sat Feb 18 2023 mokraemer <mokraemer> 3:8.2.3-2.mga9
+ Revision: 1943881
- fix php's include_path

* Tue Feb 14 2023 mokraemer <mokraemer> 3:8.2.3-1.mga9
+ Revision: 1942244
- fix patch
- new version 8.2.3
- new version 8.2.2

* Thu Jan 19 2023 mokraemer <mokraemer> 3:8.2.1-10.mga9
+ Revision: 1934458
- fix filetriggers

* Sat Jan 07 2023 squidf <squidf> 3:8.2.1-9.mga9
+ Revision: 1931152
- Mass rebuild for icu 72.1

* Wed Jan 04 2023 mokraemer <mokraemer> 3:8.2.1-8.mga9
+ Revision: 1929731
- new version 8.2.1

* Thu Dec 08 2022 mokraemer <mokraemer> 3:8.2.0-8.mga9
+ Revision: 1919582
- mga#31250

* Tue Dec 06 2022 mokraemer <mokraemer> 3:8.2.0-7.mga9
+ Revision: 1918694
- final release of php 8.2

* Wed Nov 23 2022 mokraemer <mokraemer> 3:8.2.0-1.RC7.5.mga9
+ Revision: 1910396
- 8.2.0RC7

* Fri Nov 18 2022 mokraemer <mokraemer> 3:8.2.0-1.RC6.5.mga9
+ Revision: 1908606
- new RC6

* Wed Oct 26 2022 mokraemer <mokraemer> 3:8.2.0-1.RC5.5.mga9
+ Revision: 1899469
- new version 8.2.0RC5

* Wed Sep 28 2022 mokraemer <mokraemer> 3:8.2.0-1.RC3.3.mga9
+ Revision: 1892923
- repatch
- 8.2.0RC3

* Fri Sep 02 2022 mokraemer <mokraemer> 3:8.2.0-1.RC1.2.mga9
+ Revision: 1883419
- Fix error in uninstall script

* Wed Aug 31 2022 mokraemer <mokraemer> 3:8.2.0-1.RC1.1.mga9
+ Revision: 1883051
- fix php.ini
- change mkrel version
- fix source name
- rel bump
- rel bump
- 8.2.0RC1

* Thu Aug 18 2022 mokraemer <mokraemer> 3:8.2.0-0.beta2.5.mga9
+ Revision: 1878606
- fix missing file
- make php versions coexistent

* Thu Aug 18 2022 mokraemer <mokraemer> 3:8.2.0-0.beta2.4.mga9
+ Revision: 1878505
- Fix additional } in path

* Thu Aug 18 2022 mokraemer <mokraemer> 3:8.2.0-0.beta2.3.mga9
+ Revision: 1878472
- add missing symlink
- add missing files
- some more changes to allow parallel versions
- split up php.ini to php.d

* Wed Aug 03 2022 mokraemer <mokraemer> 3:8.2.0-0.beta2.2.mga9
+ Revision: 1874922
- 8.0.2beta2

* Thu Jul 21 2022 mokraemer <mokraemer> 3:8.2.0-0.beta1.2.mga9
+ Revision: 1869872
- fix i586 tests failing
- fix i586 tests failing
- fix aarch tests failing
- fix i586 tests failing
- skip tty tests, fix version no
- skip some online-, fork-, failed api version check-, http-tests
- beta release of php 8.2.0

* Wed Jul 06 2022 mokraemer <mokraemer> 3:8.1.8-1.mga9
+ Revision: 1867824
- new version 8.1.8

* Sat Jun 18 2022 squidf <squidf> 3:8.1.7-4.mga9
+ Revision: 1864883
- rebuild for icu 71.1

* Fri Jun 17 2022 mokraemer <mokraemer> 3:8.1.7-3.mga9
+ Revision: 1864698
- fix deprecations

* Fri Jun 10 2022 mokraemer <mokraemer> 3:8.1.7-2.mga9
+ Revision: 1863819
- added some requirements

* Tue Jun 07 2022 mokraemer <mokraemer> 3:8.1.7-1.mga9
+ Revision: 1863500
- new release 8.1.7

* Sat May 28 2022 joequant <joequant> 3:8.1.6-2.mga9
+ Revision: 1860572
- rebuild to get latest imagemagick

* Sat May 14 2022 mokraemer <mokraemer> 3:8.1.6-1.mga9
+ Revision: 1858113
- fix spec for names with space
- new version 8.1.6

* Wed Apr 13 2022 mokraemer <mokraemer> 3:8.1.5-1.mga9
+ Revision: 1849219
- new version 8.1.5

* Wed Mar 16 2022 mokraemer <mokraemer> 3:8.1.4-2.mga9
+ Revision: 1794718
- new version 8.1.4

* Wed Feb 16 2022 mokraemer <mokraemer> 3:8.1.3-2.mga9
+ Revision: 1777882
- new version 8.1.3

* Fri Jan 28 2022 neoclust <neoclust> 3:8.1.2-2.mga9
+ Revision: 1770177
- Rebuild against new tidy major

* Wed Jan 19 2022 mokraemer <mokraemer> 3:8.1.2-1.mga9
+ Revision: 1769163
- new version 8.1.2

* Wed Dec 15 2021 mokraemer <mokraemer> 3:8.1.1-1.mga9
+ Revision: 1762200
- new version 8.1.1

* Wed Nov 24 2021 mokraemer <mokraemer> 3:8.1.0-1.mga9
+ Revision: 1759122
- new major release 8.1.0
- add compile switch to ignore deprecated declarations
- new release 8.0.13
- new version 8.0.12
+ wally <wally>
- rebuild for openssl 3.0.0

* Tue Sep 21 2021 mokraemer <mokraemer> 3:8.0.11-1.mga9
+ Revision: 1746142
- new version 8.0.11

* Tue Aug 24 2021 mokraemer <mokraemer> 3:8.0.10-1.mga9
+ Revision: 1742518
- new version 8.0.10

* Tue Aug 03 2021 luigiwalser <luigiwalser> 3:8.0.9-2.mga9
+ Revision: 1738957
- rebuild for icu

* Thu Jul 29 2021 mokraemer <mokraemer> 3:8.0.9-1.1.mga9
+ Revision: 1738139
- new version 8.0.9

* Tue Jun 29 2021 mokraemer <mokraemer> 3:8.0.8-1.1.mga9
+ Revision: 1734284
- new version 8.0.8

* Wed Jun 02 2021 mokraemer <mokraemer> 3:8.0.7-1.1.mga9
+ Revision: 1729194
- new version 8.0.7

* Wed May 05 2021 mokraemer <mokraemer> 3:8.0.6-1.1.mga9
+ Revision: 1721424
- new version 8.0.6

* Tue Apr 27 2021 mokraemer <mokraemer> 3:8.0.5-1.1.mga9
+ Revision: 1720141
- fix wrong src
- fix dir
- new version 8.0.5

* Wed Mar 03 2021 mokraemer <mokraemer> 3:8.0.3-1.1.mga9
+ Revision: 1696578
- new version 8.0.3

* Tue Mar 02 2021 mokraemer <mokraemer> 3:8.0.2-1.1.mga9
+ Revision: 1695665
- added epoch to uninstall json

* Wed Feb 03 2021 mokraemer <mokraemer> 3:8.0.2-1.mga8
+ Revision: 1674608
- new version 8.0.2

* Tue Jan 26 2021 mokraemer <mokraemer> 3:8.0.1-5.mga8
+ Revision: 1673611
- fix faulty requirement, remove session from cli

* Wed Jan 13 2021 mokraemer <mokraemer> 3:8.0.1-4.mga8
+ Revision: 1671523
- updated rel

* Tue Jan 12 2021 mokraemer <mokraemer> 3:8.0.1-3.mga8
+ Revision: 1671447
- fix apache_mod-php

* Fri Jan 08 2021 mokraemer <mokraemer> 3:8.0.1-2.mga8
+ Revision: 1669862
- increase rel
- fix obsoletes for old lib

* Fri Jan 08 2021 mokraemer <mokraemer> 3:8.0.1-1.mga8
+ Revision: 1669733
- updated version to 8.0.1, mga#28030

* Sun Jan 03 2021 mokraemer <mokraemer> 3:8.0.0-3.mga8
+ Revision: 1668404
- obsolete some incompatible pecl packages
- add obsolete
- added some more obsoleted packages

* Mon Nov 30 2020 luigiwalser <luigiwalser> 3:8.0.0-2.mga8
+ Revision: 1650914
- rebuild for icu

* Sun Nov 29 2020 mokraemer <mokraemer> 3:8.0.0-1.mga8
+ Revision: 1650225
- new version 8.0.0

* Tue Nov 24 2020 mokraemer <mokraemer> 3:7.4.13-1.mga8
+ Revision: 1649054
- new version 7.4.13

* Tue Nov 03 2020 akien <akien> 3:7.4.12-4.mga8
+ Revision: 1642094
- Rebuild for new libnetsnmp

* Tue Oct 27 2020 mokraemer <mokraemer> 3:7.4.12-3.mga8
+ Revision: 1639877
- rediff
- new version 7.4.12

* Mon Oct 26 2020 joequant <joequant> 3:7.4.11-3.mga8
+ Revision: 1639491
- add fpm-nginx package

* Mon Oct 26 2020 joequant <joequant> 3:7.4.11-2.mga8
+ Revision: 1639487
- fpm-apache requires mod_proxy to work

* Tue Sep 29 2020 mokraemer <mokraemer> 3:7.4.11-1.mga8
+ Revision: 1631170
- new version 7.4.11

* Thu Sep 03 2020 mokraemer <mokraemer> 3:7.4.10-2.mga8
+ Revision: 1621366
- introduce specific package with config for apache and php-fpm

* Tue Sep 01 2020 mokraemer <mokraemer> 3:7.4.10-1.mga8
+ Revision: 1620658
- remove exif patch
- new version 7.4.10

* Wed Aug 05 2020 mokraemer <mokraemer> 3:7.4.9-1.mga8
+ Revision: 1611282
- new version 7.4.9

* Wed Jul 22 2020 mokraemer <mokraemer> 3:7.4.8-4.mga8
+ Revision: 1607895
- fix requirement for php-fpm

* Thu Jul 09 2020 mokraemer <mokraemer> 3:7.4.8-3.mga8
+ Revision: 1603489
- fix bad mod name

* Wed Jul 08 2020 mokraemer <mokraemer> 3:7.4.8-2.mga8
+ Revision: 1603203
- fix duplicate config

* Wed Jul 08 2020 mokraemer <mokraemer> 3:7.4.8-1.mga8
+ Revision: 1603196
- new version 7.4.8
- added conflicts for apache_mod vs php-fpm

* Wed Jul 08 2020 mokraemer <mokraemer> 3:7.4.7-5.mga8
+ Revision: 1603048
- include mHash

* Wed Jul 01 2020 wally <wally> 3:7.4.7-4.mga8
+ Revision: 1601050
- rebuild for icu 67.1

* Wed Jun 17 2020 mokraemer <mokraemer> 3:7.4.7-3.mga8
+ Revision: 1595006
- provide php-common with api version

* Wed Jun 17 2020 mokraemer <mokraemer> 3:7.4.7-2.mga8
+ Revision: 1594072
- make requires stronger requiring the exact version

* Mon Jun 15 2020 mokraemer <mokraemer> 3:7.4.7-1.mga8
+ Revision: 1593386
- new version 7.4.7

* Thu May 14 2020 mokraemer <mokraemer> 3:7.4.6-1.mga8
+ Revision: 1583676
- new version 7.4.6
- removed old src

* Thu Apr 16 2020 mokraemer <mokraemer> 3:7.4.5-1.mga8
+ Revision: 1567828
- new version 7.4.5

* Sat Apr 04 2020 wally <wally> 3:7.4.4-4.mga8
+ Revision: 1564488
- rebuild for new icu 66.1

* Tue Mar 31 2020 mokraemer <mokraemer> 3:7.4.4-3.mga8
+ Revision: 1562794
- remove py2 dependency

* Sat Mar 21 2020 joequant <joequant> 3:7.4.4-2.mga8
+ Revision: 1558713
- change order of config as php-fpm must be loaded after mod_proxy

* Fri Mar 20 2020 mokraemer <mokraemer> 3:7.4.4-1.mga8
+ Revision: 1558364
- Repatched ini
- new version 7.4.4

* Fri Feb 21 2020 mokraemer <mokraemer> 3:7.4.3-1.mga8
+ Revision: 1548597
- repatch ini
- new version 7.4.3

* Wed Feb 19 2020 umeabot <umeabot> 3:7.4.2-2.mga8
+ Revision: 1543915
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 mokraemer <mokraemer> 3:7.4.2-1.mga8
+ Revision: 1482370
- new version 7.4.2

* Sat Jan 04 2020 luigiwalser <luigiwalser> 3:7.4.1-2.mga8
+ Revision: 1476000
- rebuild for readline

* Thu Dec 19 2019 mokraemer <mokraemer> 3:7.4.1-1.mga8
+ Revision: 1468962
- new version 7.4.1
- new version 7.4.1

* Fri Nov 29 2019 mokraemer <mokraemer> 3:7.4.0-4.mga8
+ Revision: 1463768
- add php-hash to provides for compatibility

* Fri Nov 29 2019 mokraemer <mokraemer> 3:7.4.0-3.mga8
+ Revision: 1463715
- add provides for compatibility

* Fri Nov 29 2019 mokraemer <mokraemer> 3:7.4.0-2.mga8
+ Revision: 1463710
- add changes from ini files

* Fri Nov 29 2019 mokraemer <mokraemer> 3:7.4.0-1.mga8
+ Revision: 1463510
- new version 7.4.0

* Thu Nov 21 2019 mokraemer <mokraemer> 3:7.3.12-1.mga8
+ Revision: 1462025
- new version 7.3.12

* Thu Oct 24 2019 mokraemer <mokraemer> 3:7.3.11-2.mga8
+ Revision: 1455649
- apply patch from mga7

* Thu Oct 24 2019 mokraemer <mokraemer> 3:7.3.11-1.mga8
+ Revision: 1455643
- new version 7.3.11
- add obsoletes

* Sat Oct 05 2019 daviddavid <daviddavid> 3:7.3.10-2.mga8
+ Revision: 1449497
- rebuild for new icu 65.1

* Sun Sep 29 2019 mokraemer <mokraemer> 3:7.3.10-1.mga8
+ Revision: 1448032
- new version 7.3.10

* Sun Sep 01 2019 daviddavid <daviddavid> 3:7.3.9-2.mga8
+ Revision: 1436153
- rebuild for new recode 3.7.3

* Thu Aug 29 2019 mokraemer <mokraemer> 3:7.3.9-1.mga8
+ Revision: 1435121
- new version 7.3.9
- cleanup/sort build options

* Thu Aug 01 2019 mokraemer <mokraemer> 3:7.3.8-1.mga8
+ Revision: 1426677
- new version 7.3.8

* Thu Jul 04 2019 mokraemer <mokraemer> 3:7.3.7-1.mga8
+ Revision: 1418543
- new version 7.3.7

* Sun Jun 30 2019 mokraemer <mokraemer> 3:7.3.6-2.mga8
+ Revision: 1416375
- wrong module order for apache modules (mga#25024)

* Fri May 31 2019 mokraemer <mokraemer> 3:7.3.6-1.mga7
+ Revision: 1399424
- new release 7.3.6
- Fix apache config files

* Thu May 02 2019 mokraemer <mokraemer> 3:7.3.5-1.mga7
+ Revision: 1396205
- new release 7.3.5

* Thu Apr 04 2019 mokraemer <mokraemer> 3:7.3.4-1.mga7
+ Revision: 1385810
- new version 7.3.4

* Thu Mar 21 2019 mokraemer <mokraemer> 3:7.3.3-1.mga7
+ Revision: 1379481
- new version 7.3.3

* Sat Feb 23 2019 wally <wally> 3:7.3.2-2.mga7
+ Revision: 1369602
- switch to enchant2 (patch from Arch)

* Thu Feb 07 2019 mokraemer <mokraemer> 3:7.3.2-1.mga7
+ Revision: 1364015
- new version 7.3.2

* Thu Jan 17 2019 mokraemer <mokraemer> 3:7.3.1-2.mga7
+ Revision: 1357576
- removed some obsolete packages

* Thu Jan 10 2019 mokraemer <mokraemer> 3:7.3.1-1.mga7
+ Revision: 1354558
- new version 7.3.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3:7.3.0-5.mga7
+ Revision: 1346551
- rebuild for lm_sensors

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3:7.3.0-4.mga7
+ Revision: 1346108
- rebuild for icu

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3:7.3.0-3.mga7
+ Revision: 1346032
- rebuild for net-snmp

* Wed Dec 12 2018 mokraemer <mokraemer> 3:7.3.0-2.mga7
+ Revision: 1340662
- Fix noarch Bug on php.ini
- Try other settings for i586

* Wed Dec 12 2018 mokraemer <mokraemer> 3:7.3.0-1.mga7
+ Revision: 1340359
- new version 7.3.0

* Thu Dec 06 2018 mokraemer <mokraemer> 3:7.2.13-2.mga7
+ Revision: 1338709
- new version 7.2.13

* Wed Nov 21 2018 mokraemer <mokraemer> 3:7.2.12-2.mga7
+ Revision: 1332555
- fix obsoletes of php-mcrypt

* Fri Nov 09 2018 mokraemer <mokraemer> 3:7.2.12-1.mga7
+ Revision: 1329149
- new version 7.2.12

* Sat Oct 20 2018 wally <wally> 3:7.2.11-2.mga7
+ Revision: 1322964
- fix php-sqlite obsoletes

* Fri Oct 12 2018 mokraemer <mokraemer> 3:7.2.11-1.mga7
+ Revision: 1319841
- new version 7.2.11

* Thu Sep 13 2018 mokraemer <mokraemer> 3:7.2.10-1.mga7
+ Revision: 1258856
- new version 7.2.10

* Sat Aug 25 2018 mokraemer <mokraemer> 3:7.2.9-2.mga7
+ Revision: 1254140
+ rebuild (emptylog)

* Thu Aug 16 2018 mokraemer <mokraemer> 3:7.2.9-1.mga7
+ Revision: 1252055
- new release 7.2.9

* Fri Aug 03 2018 mokraemer <mokraemer> 3:7.2.8-2.mga7
+ Revision: 1247154
- Bug mga#23385

* Thu Jul 19 2018 mokraemer <mokraemer> 3:7.2.8-1.mga7
+ Revision: 1244310
- new version 7.2.8

* Thu Jun 21 2018 mokraemer <mokraemer> 3:7.2.7-1.mga7
+ Revision: 1238679
- new version 7.2.7

* Sun Jun 17 2018 luigiwalser <luigiwalser> 3:7.2.6-2.mga7
+ Revision: 1237489
- rebuild for gdbm

* Fri May 25 2018 mokraemer <mokraemer> 3:7.2.6-1.mga7
+ Revision: 1232161
- new version 7.2.6

* Tue May 01 2018 mokraemer <mokraemer> 3:7.2.5-1.mga7
+ Revision: 1224363
- new version 7.2.5

* Wed Apr 04 2018 mokraemer <mokraemer> 3:7.2.4-1.mga7
+ Revision: 1215329
- new version 7.2.4

* Wed Mar 21 2018 daviddavid <daviddavid> 3:7.2.3-2.mga7
+ Revision: 1210906
- add upstream patch to fix build with oniguruma 6.8.1
- rebuild for new oniguruma 6.8.1

* Fri Mar 02 2018 mokraemer <mokraemer> 3:7.2.3-1.mga7
+ Revision: 1206127
- version 7.2.3

* Fri Feb 02 2018 mokraemer <mokraemer> 3:7.2.2-1.mga7
+ Revision: 1198608
- new version 7.2.2

* Thu Jan 04 2018 mokraemer <mokraemer> 3:7.2.1-1.mga7
+ Revision: 1190231
- new php 7.2.1 released

* Thu Jan 04 2018 mokraemer <mokraemer> 3:7.2.0-6.mga7
+ Revision: 1190190
- splitted ini file (mga#19625)
+ pterjan <pterjan>
- Fix listing of .ini files

* Fri Dec 29 2017 wally <wally> 3:7.2.0-5.mga7
+ Revision: 1187000
- rebuild for new icu

* Sun Dec 24 2017 guillomovitch <guillomovitch> 3:7.2.0-4.mga7
+ Revision: 1184595
- don't obsolete php-pimple either

* Fri Dec 22 2017 mokraemer <mokraemer> 3:7.2.0-3.mga7
+ Revision: 1183846
- disabled some obsoletes (Zend)

* Sun Dec 03 2017 mokraemer <mokraemer> 3:7.2.0-1.mga7
+ Revision: 1180926
- new php 7.2

* Thu Nov 30 2017 mokraemer <mokraemer> 3:7.1.12-2.mga7
+ Revision: 1180454
- added absoletes from task-obsoletes

* Fri Nov 24 2017 mokraemer <mokraemer> 3:7.1.12-1.mga7
+ Revision: 1179066
- new php version with sec. fixes
+ tv <tv>
- obsolete php-xcache-admin too

* Mon Nov 20 2017 mokraemer <mokraemer> 3:7.1.11-3.mga7
+ Revision: 1177936
- Fix requires, added obsoletes
- changed dependency scheme, some spec file changes
+ luigiwalser <luigiwalser>
- obsoletes suhosin instead of conflicts

* Sun Nov 12 2017 zezinho <zezinho> 3:7.1.11-2.mga7
+ Revision: 1177012
- disable php-suhosin as it is not supported for php >5.6

* Sat Nov 11 2017 zezinho <zezinho> 3:7.1.11-1.mga7
+ Revision: 1176937
- patches rediffed for php 7
- first try of php7 by DavidS from MGA#21916

* Wed Nov 08 2017 luigiwalser <luigiwalser> 3:5.6.32-1.mga7
+ Revision: 1176488
- 5.6.32

* Thu Nov 02 2017 daviddavid <daviddavid> 3:5.6.31-3.mga7
+ Revision: 1175612
- rebuild for new tidy 5.4.0

* Wed Sep 27 2017 joequant <joequant> 3:5.6.31-2.mga7
+ Revision: 1160299
- switch to openssl 1.1.0
- compile with compat-openssl
- recompile to sync libraries - openssl and new gcc toolchain

* Thu Jul 20 2017 luigiwalser <luigiwalser> 3:5.6.31-1.mga7
+ Revision: 1125477
- 5.6.31

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 3:5.6.30-2.mga6
+ Revision: 1092770
- Rebuild for icu-58.2

* Thu Jan 26 2017 luigiwalser <luigiwalser> 3:5.6.30-1.mga6
+ Revision: 1083456
- 5.6.30

* Mon Dec 12 2016 luigiwalser <luigiwalser> 3:5.6.29-1.mga6
+ Revision: 1074332
- 5.6.29

* Fri Nov 11 2016 luigiwalser <luigiwalser> 3:5.6.28-1.mga6
+ Revision: 1066319
- 5.6.28

* Tue Oct 18 2016 luigiwalser <luigiwalser> 3:5.6.27-1.mga6
+ Revision: 1061547
- 5.6.27

* Fri Sep 16 2016 luigiwalser <luigiwalser> 3:5.6.26-1.mga6
+ Revision: 1053436
- 5.6.26

* Fri Aug 19 2016 luigiwalser <luigiwalser> 3:5.6.25-1.mga6
+ Revision: 1046976
- 5.6.25

* Thu Jul 21 2016 luigiwalser <luigiwalser> 3:5.6.24-1.mga6
+ Revision: 1043001
- 5.6.24

* Thu Jun 23 2016 luigiwalser <luigiwalser> 3:5.6.23-1.mga6
+ Revision: 1037370
- 5.6.23

* Thu May 26 2016 luigiwalser <luigiwalser> 3:5.6.22-1.mga6
+ Revision: 1018682
- 5.6.22

* Sat May 14 2016 shlomif <shlomif> 3:5.6.21-2.mga6
+ Revision: 1015258
- Rebuild for the new ICU (new major)

* Thu Apr 28 2016 luigiwalser <luigiwalser> 3:5.6.21-1.mga6
+ Revision: 1007229
- 5.6.21

* Tue Apr 12 2016 philippem <philippem> 3:5.6.20-2.mga6
+ Revision: 1000799
- change BR for Firebird (BR pkgconfig(fbclient)
- rebuild for Firebird 3

* Thu Mar 31 2016 luigiwalser <luigiwalser> 3:5.6.20-1.mga6
+ Revision: 997138
- 5.6.20

* Mon Mar 07 2016 luigiwalser <luigiwalser> 3:5.6.19-1.mga6
+ Revision: 987216
- 5.6.19

* Thu Mar 03 2016 umeabot <umeabot> 3:5.6.18-3.mga6
+ Revision: 983891
- Rebuild for openssl

* Sat Feb 27 2016 oden <oden> 3:5.6.18-2.mga6
+ Revision: 980045
- rebuild for new mariadb, postgresql, freetds.
- revert to jsonc-1.3.7 due to "- using system libjson-c is no more supported" (wtf?)
- rebuild
- jsonc-1.3.9 https://pecl.php.net/package-changelog.php?package=jsonc&release=1.3.9
- drop old cruft

* Thu Feb 04 2016 luigiwalser <luigiwalser> 3:5.6.18-1.mga6
+ Revision: 935911
- 5.6.18

* Tue Jan 19 2016 neoclust <neoclust> 3:5.6.17-2.mga6
+ Revision: 925882
- Rebuild now that all php7 has been removed from the BS
- Revert to php 5.6.17
+ oden <oden>
- mention the event mpm

* Thu Jan 14 2016 oden <oden> 3:7.0.2-4.mga6
+ Revision: 922990
- make it easy to use php-fpm + apache-mod_proxy

* Fri Jan 08 2016 oden <oden> 3:7.0.2-3.mga6
+ Revision: 920603
- 7.0.2

* Fri Jan 01 2016 luigiwalser <luigiwalser> 3:7.0.2-2.mga6
+ Revision: 917914
- rebuild for icu

* Sat Dec 26 2015 oden <oden> 3:7.0.2-1.mga6
+ Revision: 915097
- 7.0.2RC1
- rediff patches are remove some

* Sun Dec 06 2015 tv <tv> 3:7.0.0-1.mga6
+ Revision: 908548
- new release

* Fri Nov 27 2015 tv <tv> 3:7.0.0-0.0.RC8.1.mga6
+ Revision: 906457
- 7.0 RC8

* Sat Nov 14 2015 oden <oden> 3:7.0.0-0.0.RC7.1.mga6
+ Revision: 903120
- rebuilt against latest libzip
- drop kolab patches due to http://lists.kolab.org/pipermail/devel/2014-July/015094.html

* Thu Nov 12 2015 tv <tv> 3:7.0.0-0.0.RC7.0.mga6
+ Revision: 902957
- 7.0 RC7
- use a macro for RC

* Thu Oct 29 2015 tv <tv> 3:7.0.0-0.0.RC6.0.mga6
+ Revision: 896492
- 7.0.0RC6
- fix download URL

* Mon Oct 26 2015 oden <oden> 3:7.0.0-0.0.RC5.2.mga6
+ Revision: 895585
- php-mysql is gone, forgot to fix that.

* Thu Oct 22 2015 oden <oden> 3:7.0.0-0.0.RC5.1.mga6
+ Revision: 894259
- yihaa!

* Thu Oct 01 2015 luigiwalser <luigiwalser> 3:5.6.14-1.mga6
+ Revision: 885553
- 5.6.14

* Sun Sep 06 2015 tv <tv> 3:5.6.13-2.mga6
+ Revision: 873154
- switch to new upstream file trigger syntax

* Fri Sep 04 2015 luigiwalser <luigiwalser> 3:5.6.13-1.mga6
+ Revision: 872773
- 5.6.13

* Fri Aug 07 2015 luigiwalser <luigiwalser> 3:5.6.12-1.mga6
+ Revision: 861573
- 5.6.12
- rediff patch 2

* Sat Jul 25 2015 cjw <cjw> 3:5.6.11-2.mga6
+ Revision: 857356
- rebuild for icu 55

* Sun Jul 12 2015 luigiwalser <luigiwalser> 3:5.6.11-1.mga6
+ Revision: 853354
- 5.6.11

* Sat Jun 27 2015 cjw <cjw> 3:5.6.10-2.mga6
+ Revision: 846271
- rebuild for libvpx 1.4

* Sat Jun 13 2015 luigiwalser <luigiwalser> 3:5.6.10-1.mga5
+ Revision: 823053
- 5.6.10

* Fri May 15 2015 luigiwalser <luigiwalser> 3:5.6.9-1.mga5
+ Revision: 822101
- 5.6.9
- remove opcache conflicts with eaccelerator (gone) and apcu (invalid) (mga#15743)

* Fri Apr 17 2015 luigiwalser <luigiwalser> 3:5.6.8-1.mga5
+ Revision: 820363
- 5.6.8
- remove CVE-2015-135[12] patches which were upstreamed

* Fri Mar 20 2015 luigiwalser <luigiwalser> 3:5.6.7-1.mga5
+ Revision: 819002
- 5.6.7
- remove upstream patch for php#68942
- remove CVE-2015-2305 patch (fixed upstream)
- add patch from dragonflybsd via debian to fix CVE-2015-2305

* Fri Feb 27 2015 luigiwalser <luigiwalser> 3:5.6.6-3.mga5
+ Revision: 817157
- add upstream patch to fix secondary issue in php#68942

* Fri Feb 20 2015 oden <oden> 3:5.6.6-2.mga5
+ Revision: 816036
- jsonc-1.3.7 (http://pecl.php.net/package-changelog.php?package=jsonc&release=1.3.7)

* Thu Feb 19 2015 luigiwalser <luigiwalser> 3:5.6.6-1.mga5
+ Revision: 815958
- rediff upstream patches to fix CVE-2015-1351 and CVE-2015-1352
- 5.6.6

* Mon Feb 16 2015 oden <oden> 3:5.6.5-2.mga5
+ Revision: 815162
- rebuilt for libgd-2.1.1

* Fri Jan 23 2015 luigiwalser <luigiwalser> 3:5.6.5-1.mga5
+ Revision: 812010
- 5.6.5

* Thu Dec 18 2014 luigiwalser <luigiwalser> 3:5.6.4-1.mga5
+ Revision: 804059
- 5.6.4
- rediff patches 2 and 30
- remove upstreamed patches 230-233

* Tue Nov 25 2014 cjw <cjw> 3:5.6.3-4.mga5
+ Revision: 799271
- fix postgresql-libs dependency version for postgresql release candidate releases

* Tue Nov 25 2014 cjw <cjw> 3:5.6.3-3.mga5
+ Revision: 799133
- rebuild against postgresql9.4

* Wed Nov 19 2014 luigiwalser <luigiwalser> 3:5.6.3-2.mga5
+ Revision: 797847
- add upstream bugfixes via fedora related to php-fpm and ipv6

* Thu Nov 13 2014 luigiwalser <luigiwalser> 3:5.6.3-1.mga5
+ Revision: 796883
- 5.6.3
- remove CVE-2014-3710 patch (fixed upstream in 5.6.3)

* Fri Oct 31 2014 luigiwalser <luigiwalser> 3:5.6.2-2.mga5
+ Revision: 795034
- add upstream patch to fix CVE-2014-3710

* Sat Oct 18 2014 oden <oden> 3:5.6.2-1.mga5
+ Revision: 783749
- 5.6.2 (fixes CVE-2014-3668, CVE-2014-3669, CVE-2014-3670)

* Wed Oct 15 2014 umeabot <umeabot> 3:5.6.0-3.mga5
+ Revision: 739071
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 3:5.6.0-2.mga5
+ Revision: 725161
- rebuild for bogus file deps
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
- s/uggests:/Recommends:/

* Wed Sep 03 2014 oden <oden> 3:5.6.0-1.mga5
+ Revision: 671508
- 5.6.0

* Fri Aug 15 2014 oden <oden> 3:5.6.0-0.1.RC4.1.mga5
+ Revision: 662684
- 5.6.0RC4

* Mon Aug 04 2014 oden <oden> 3:5.6.0-0.1.RC3.2.mga5
+ Revision: 659540
- jsonc-1.3.6

* Thu Jul 31 2014 oden <oden> 3:5.6.0-0.1.RC3.1.mga5
+ Revision: 658494
- 5.6.0RC3

* Tue Jul 08 2014 oden <oden> 3:5.6.0-0.1.RC2.1.mga5
+ Revision: 650729
- added phpdbg.1
- 5.6.0RC2

* Sun Jun 29 2014 oden <oden> 3:5.6.0-0.1.RC1.1.mga5
+ Revision: 641146
- heh...
- 5.6.0RC1

* Tue Jun 10 2014 oden <oden> 3:5.6.0-0.0.beta4.1.mga5
+ Revision: 635355
- 5.6.0beta4

* Fri May 16 2014 oden <oden> 3:5.6.0-0.0.beta3.1.mga5
+ Revision: 623003
- 5.6.0beta3

* Wed May 07 2014 oden <oden> 3:5.6.0-0.0.beta2.1.mga5
+ Revision: 621002
- P23: rediff
- P1: rediff
- 5.6.0beta2

* Fri Apr 18 2014 oden <oden> 3:5.6.0-0.0.beta1.1.mga5
+ Revision: 616244
- php-5.6.0beta1
- jsonc-1.3.5
- P0: rediff
- P1: rediff, bump soname to match the release and fix linkage.
- P2: rediff
- P25: drop upstream implemented patch
- add the bundled phpdbg as a subpackage (look here: http://phpdbg.com)

* Fri Apr 04 2014 luigiwalser <luigiwalser> 3:5.5.11-1.mga5
+ Revision: 611737
- 5.5.11

* Wed Mar 12 2014 oden <oden> 3:5.5.10-1.mga5
+ Revision: 602619
- 5.5.10
- jsonc-1.3.4

* Wed Feb 26 2014 oden <oden> 3:5.5.9-3.mga5
+ Revision: 597276
- jsonc-1.3.4

* Wed Feb 19 2014 oden <oden> 3:5.5.9-2.mga5
+ Revision: 594798
- P230: security fix for CVE-2014-1943 (upstream)

* Wed Feb 12 2014 oden <oden> 3:5.5.9-1.mga5
+ Revision: 589735
- 5.5.9
- rediffed a lot of patches

* Tue Jan 14 2014 luigiwalser <luigiwalser> 3:5.5.8-2.mga4
+ Revision: 566586
- do not reload httpd when it is not running in filetriggers

* Tue Jan 14 2014 oden <oden> 3:5.5.8-1.mga4
+ Revision: 566544
- 5.5.8
- rediff the external libzip patch
- jsonc-1.3.3

* Fri Dec 13 2013 luigiwalser <luigiwalser> 3:5.5.7-1.mga4
+ Revision: 556537
- 5.5.7

* Fri Nov 22 2013 oden <oden> 3:5.5.6-1.mga4
+ Revision: 552282
- rediff some patches
- 5.5.6

* Tue Oct 22 2013 oden <oden> 3:5.5.5-1.mga4
+ Revision: 545808
- 5.5.5 (http://www.php.net/ChangeLog-5.php#5.5.5)

* Mon Oct 21 2013 umeabot <umeabot> 3:5.5.4-3.mga4
+ Revision: 537673
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 3:5.5.4-2.mga4
+ Revision: 487500
- rebuild for icu 52

* Fri Sep 20 2013 fwang <fwang> 3:5.5.4-1.mga4
+ Revision: 481811
- 5.5.4 final

* Tue Sep 10 2013 fwang <fwang> 3:5.5.4-0.0.RC1.3.mga4
+ Revision: 477030
- rebuild for new postgresql

* Mon Sep 09 2013 oden <oden> 3:5.5.4-0.0.RC1.2.mga4
+ Revision: 476668
- jsonc-1.3.2

* Fri Sep 06 2013 oden <oden> 3:5.5.4-0.0.RC1.1.mga4
+ Revision: 475425
- 5.5.4RC1
- rediffed some patches

* Tue Aug 27 2013 luigiwalser <luigiwalser> 3:5.5.3-2.mga4
+ Revision: 472083
- rebuild for cyrus-sasl
+ fwang <fwang>
- add descriptive url

* Fri Aug 23 2013 fwang <fwang> 3:5.5.3-1.mga4
+ Revision: 470029
- new version 5.5.3
+ oden <oden>
- fix #8538 (There is an undocumented hard-coded limit of 24 minutes on PHP session lifetime)
- fix #10331 (php-sqlite3 does not obsolete php-sqlite)
- 5.5.2
- rediff some patches

* Mon Jul 22 2013 oden <oden> 3:5.5.1-1.mga4
+ Revision: 457143
- 5.5.1
- P50: rediff
- fix the php-test.ini file according to needed loading sequence
- fix the loading of opcache
- keep all the sources in php-devel for easier post-testing

* Fri Jun 28 2013 oden <oden> 3:5.5.0-5.mga4
+ Revision: 447732
- add back the deprecated php-mysql package (fixes #10628)

* Mon Jun 24 2013 blino <blino> 3:5.5.0-4.mga4
+ Revision: 446070
- buildrequire mysql-devel for mysql_config

* Sun Jun 23 2013 blino <blino> 3:5.5.0-3.mga4
+ Revision: 446060
- mysqlnd: detect mysql unix socket path with mysql_config (this fixes mysqli and pdo_mysql)

* Sun Jun 23 2013 blino <blino> 3:5.5.0-2.mga4
+ Revision: 445794
- specify back mysql socket path at configure (to fix mysqli)

* Fri Jun 21 2013 oden <oden> 3:5.5.0-1.mga4
+ Revision: 445354
- 5.5.0
- P11 & P25: newer rediffed patches from fedora
- P30: rediff
- the mysql extension is deprecated, so might as well remove it now...

* Thu Jun 13 2013 oden <oden> 3:5.5.0-0.0.RC3.4.mga4
+ Revision: 442540
- bump release
- fix the php-fpm.service file (Remi Collet)
- add some conflicts for the php-opcache sub package

* Thu Jun 13 2013 oden <oden> 3:5.5.0-0.0.RC3.3.mga4
+ Revision: 442476
- use /run/php-fpm
- add systemd to php-fpm (Remi Collet)

* Thu Jun 13 2013 oden <oden> 3:5.5.0-0.0.RC3.2.mga4
+ Revision: 442375
- S10: use json from pecl due to licensing issues
+ fwang <fwang>
- deprecate mysql extension

* Sun Jun 09 2013 oden <oden> 3:5.5.0-0.0.RC3.1.mga4
+ Revision: 441224
- 5.5.0RC3
- bye, bye logos and the eastern egg crap (drop P302+P303)
- P2: patch and use the php.ini-production file because the shipped php.ini file is several years old...
- P20: rediff
- say hello to opcache

* Sun Jun 09 2013 oden <oden> 3:5.4.16-1.mga4
+ Revision: 441117
- 5.4.16 (fixes CVE-2013-2110)
- rediffed P25

* Mon Jun 03 2013 fwang <fwang> 3:5.4.15-3.mga4
+ Revision: 435546
- rebuild for new libpng

* Tue May 28 2013 oden <oden> 3:5.4.15-2.mga4
+ Revision: 429242
- use ext/gd from php-5.5.0RC2 for now

* Sun May 26 2013 oden <oden> 3:5.4.15-1.mga4
+ Revision: 428167
- 5.4.15
- rediffed P25
- use the new libgd 2.1.x that should render the php-gd-bundled package obsolete

* Sun May 26 2013 fwang <fwang> 3:5.4.13-4.mga4
+ Revision: 427995
- rebuild for new icu

* Fri Apr 26 2013 fwang <fwang> 3:5.4.13-3.mga3
+ Revision: 411308
- fix systemd unit file so that it can start correctly (bug#9844)

* Sun Mar 24 2013 colin <colin> 3:5.4.13-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Fri Mar 15 2013 oden <oden> 3:5.4.13-1.mga3
+ Revision: 403244
- 5.4.13 (fixes CVE-2013-1635, CVE-2013-1643)

* Tue Mar 05 2013 oden <oden> 3:5.4.12-2.mga3
+ Revision: 401489
- P303: added a new mageia logo by Rémi Verschelde

* Fri Feb 22 2013 oden <oden> 3:5.4.12-1.mga3
+ Revision: 399881
- 5.4.12

* Thu Jan 31 2013 luigiwalser <luigiwalser> 3:5.4.11-2.mga3
+ Revision: 393831
- rebuild for icu

* Mon Jan 21 2013 oden <oden> 3:5.4.11-1.mga3
+ Revision: 390585
- 5.4.11 (http://php.net/ChangeLog-5.php#5.4.11)

* Thu Jan 17 2013 colin <colin> 3:5.4.10-5.mga3
+ Revision: 388944
- Use tmpfiles for php-fpm runtime dir creation

* Wed Jan 09 2013 spuhler <spuhler> 3:5.4.10-4.mga3
+ Revision: 343541
- reversed threadsafe build

* Sat Jan 05 2013 spuhler <spuhler> 3:5.4.10-3.mga3
+ Revision: 339336
- built threadsafe

* Wed Dec 26 2012 oden <oden> 3:5.4.10-2.mga3
+ Revision: 335433
- make it backportable

* Fri Dec 21 2012 fwang <fwang> 3:5.4.10-1.mga3
+ Revision: 333629
- new version 5.4.10

* Sat Dec 01 2012 fwang <fwang> 3:5.4.9-3.mga3
+ Revision: 323654
- rebuild for new pcre

* Sat Nov 24 2012 oden <oden> 3:5.4.9-2.mga3
+ Revision: 321559
- maybe better configure line now...
- rebuild
- remove pok crap
- merge firebird (interbase) into this package

* Sat Nov 24 2012 fwang <fwang> 3:5.4.9-1.mga3
+ Revision: 321476
- new version 5.4.9
+ oden <oden>
- whoops. didn't realize php-5.4 only has sqlite3 support.
- fix #8164 (php-sqlite3 obsoletes php-sqlite)

* Fri Nov 09 2012 fwang <fwang> 3:5.4.8-9.mga3
+ Revision: 316669
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 3:5.4.8-8.mga3
+ Revision: 314746
- rebuild for new icu

* Thu Oct 25 2012 fwang <fwang> 3:5.4.8-7.mga3
+ Revision: 309900
- recognize more recent jpeg version
- update description
+ luigiwalser <luigiwalser>
- use macros for php-fpm service
- php-fpm requires webserver-base for apache user
- php-cli provides /usr/bin/php (mga#6534)

* Tue Oct 23 2012 fwang <fwang> 3:5.4.8-6.mga3
+ Revision: 309398
- prepare to build pdo_mysql-bundled
- note for mysqlnd

* Fri Oct 19 2012 fwang <fwang> 3:5.4.8-5.mga3
+ Revision: 308312
- force load mysqlnd before mysql exts

* Fri Oct 19 2012 fwang <fwang> 3:5.4.8-4.mga3
+ Revision: 308152
- specify ldflags
- enable vpx support

* Fri Oct 19 2012 fwang <fwang> 3:5.4.8-3.mga3
+ Revision: 308147
- all mysql exts are now using mysqlnd now

* Fri Oct 19 2012 fwang <fwang> 3:5.4.8-2.mga3
+ Revision: 308140
- build with mysqlnd per default upstream

* Fri Oct 19 2012 fwang <fwang> 3:5.4.8-1.mga3
+ Revision: 308062
- new version 5.4.8

* Wed Oct 17 2012 obgr_seneca <obgr_seneca> 3:5.4.7-2.mga3
+ Revision: 307677
- Add requires for webserver-base in php-session

* Mon Sep 17 2012 fwang <fwang> 3:5.4.7-1.mga3
+ Revision: 294677
- new version 5.4.7

* Wed Sep 12 2012 oden <oden> 3:5.4.6-1.mga3
+ Revision: 292568
- remove libphp5.so from file lists as well
- 5.4.6
- make mod_php the more correct way
+ spuhler <spuhler>
- upgrade to 5.4.6

* Tue Jul 31 2012 fwang <fwang> 3:5.4.5-2.mga3
+ Revision: 276425
- force echo 0 for iurt
- force echo 0 for iurt
- rebuild for db-5.3
+ guillomovitch <guillomovitch>
- no need to redefine configure commands to explain packaging granularity (especially when giving wrong path to document file)
- sanitize build flags usage
- use %%{_unitdir} macro
- drop useless dependencies
- cleanup postgresql dependencies computing, and use a better problem description
- drop fedora-supposed patches non existing in fedora
- drop useless references to bugzilla in package description
- drop unused macros
- use apache-provided rpm macros
- clean up files list
- useless buildtime check, we have dependencies for this

* Wed Jul 25 2012 spuhler <spuhler> 3:5.4.5-1.mga3
+ Revision: 274185
- upgrade to 5.4.5
- upgrade to 5.4.5

* Mon Jul 23 2012 blino <blino> 3:5.4.4-8.mga3
+ Revision: 273674
- install module in standard apache location (and not include double libphp5_common.so there)

* Sun Jul 22 2012 spuhler <spuhler> 3:5.4.4-7.mga3
+ Revision: 273511
- took out those old coments Conflicts:	apache-mpm-worker >= %%{apache_version}
  and apache-mpm-event >= %%{apache_version}

* Sun Jul 22 2012 cjw <cjw> 3:5.4.4-6.mga3
+ Revision: 273458
- apache-mod_php: fix apache configuration location
- apache-mod_php: (build-)depends on apache >= 2.4.2-1

* Sun Jul 22 2012 blino <blino> 3:5.4.4-5.mga3
+ Revision: 273433
- fix apxs path (now in bindir)
- require apache instead of obsolete apache-mpm and comment old apache conflicts
+ spuhler <spuhler>
- Rebuild for Apache-2.4

* Sun Jul 15 2012 spuhler <spuhler> 3:5.4.4-3.mga3
+ Revision: 270903
+ rebuild (emptylog)

* Sun Jul 15 2012 spuhler <spuhler> 3:5.4.4-2.mga3
+ Revision: 270900
+ rebuild (emptylog)

* Sun Jul 15 2012 spuhler <spuhler> 3:5.4.4-1.mga3
+ Revision: 270874
- upgrade to 5.4.4

* Sun Jul 15 2012 spuhler <spuhler> 3:5.4.3-1.mga3
+ Revision: 270816
- Ugrade to version5.4.3
  Spec file based on MDV (Oden)
  php-ini and apache-mod_php split off

* Fri Jun 15 2012 luigiwalser <luigiwalser> 3:5.3.14-1.mga3
+ Revision: 260870
- 5.3.14 (fixes CVE-2012-2143)

* Mon Jun 11 2012 luigiwalser <luigiwalser> 3:5.3.13-4.mga3
+ Revision: 259856
- additional patch from upstream via debian for similar issue in phar code

* Wed Jun 06 2012 luigiwalser <luigiwalser> 3:5.3.13-3.mga3
+ Revision: 256297
- fix CVE-2012-2386 (php bug 61065)

* Wed May 30 2012 fwang <fwang> 3:5.3.13-2.mga3
+ Revision: 249670
- rebuild for new icu

* Thu May 10 2012 luigiwalser <luigiwalser> 3:5.3.13-1.mga2
+ Revision: 235135
- 5.3.13 (fixes CVE-2012-2335 and CVE-2012-2336)

* Sat May 05 2012 luigiwalser <luigiwalser> 3:5.3.12-2.mga2
+ Revision: 234742
- fix CVE-2012-2311

* Fri May 04 2012 fwang <fwang> 3:5.3.12-1.mga2
+ Revision: 234690
- new version 4.3.12 (fixing CVE-2012-1823)
+ luigiwalser <luigiwalser>
- 5.3.11 (partial sync with mdv)

* Tue Apr 24 2012 luigiwalser <luigiwalser> 3:5.3.10-8.mga2
+ Revision: 233143
- fix CVE-2012-1172 (php bug 55500)

* Mon Apr 02 2012 pterjan <pterjan> 3:5.3.10-7.mga2
+ Revision: 227746
- Fix enable-libxml parameter to really enable it
+ luigiwalser <luigiwalser>
- let webserver-base package add apache user

* Mon Mar 19 2012 luigiwalser <luigiwalser> 3:5.3.10-6.mga2
+ Revision: 224021
- use arch independent libdir to find modules (thanks Funda Wang)

* Mon Mar 19 2012 luigiwalser <luigiwalser> 3:5.3.10-5.mga2
+ Revision: 223999
- use filetriggers to reload httpd on php extension installation

* Fri Mar 16 2012 spuhler <spuhler> 3:5.3.10-4.mga2
+ Revision: 223575
- removed Patch20: php-mail.diff as it leaks mail info, Bug # 4571

* Thu Mar 01 2012 spuhler <spuhler> 3:5.3.10-3.mga2
+ Revision: 216448
- added Obsoletes: php-pspel
- removed pspell

* Thu Feb 09 2012 spuhler <spuhler> 3:5.3.10-2.mga2
+ Revision: 206599
- changed pm.max_children from 5 to 35
+ fwang <fwang>
- new version 5.3.10

* Thu Jan 19 2012 guillomovitch <guillomovitch> 3:5.3.9-4.mga2
+ Revision: 198248
- include php-ini package
- merge it with doc subpackage

* Thu Jan 19 2012 spuhler <spuhler> 3:5.3.9-3.mga2
+ Revision: 198028
- activated the test
  updated corrected mageia logo ptach
+ fwang <fwang>
- fix wording of logo patch

* Tue Jan 17 2012 fwang <fwang> 3:5.3.9-2.mga2
+ Revision: 197193
- fix html mismatch tags

* Tue Jan 17 2012 spuhler <spuhler> 3:5.3.9-1.mga2
+ Revision: 197188
- added BuildRequires: autoconf2.1
- upgrade to 5.3.9

* Tue Jan 03 2012 guillomovitch <guillomovitch> 3:5.3.9-0.RC4.1.mga2
+ Revision: 189937
- generate mod_php directly from this package
- sync common fedora patches, and apply suhosin patch last
- drop fedora patches not in fedora anymore
- switch to fedora build system, using a different directory for each SAPI
- don't run configure for cli, it is never built
- stop messing with configure command value on phpinfo page
- drop redundant configure options
- new RC version
- drop redondant build dependencies
- handle php-dev files in %%install only, to avoid multiple copies
- trim descriptions, no need to mention dependencies managed by rpm
- spec cleanup
- turn hard dependency on suhosin to as soft dependency, as it is not mandatory
+ fwang <fwang>
- chagne mandriva into mageia, disable image for now

* Tue Dec 20 2011 spuhler <spuhler> 3:5.3.9-0.RC3.1.mga2
+ Revision: 184708
- upgrade to 5.4RC3
  synched with Mandriva

* Thu Dec 08 2011 fwang <fwang> 3:5.3.8-4.mga2
+ Revision: 178854
- rebuild for new odbc

* Mon Dec 05 2011 fwang <fwang> 3:5.3.8-3.mga2
+ Revision: 176942
- rebuild for new gdbm
+ guillomovitch <guillomovitch>
- spec cleanup

* Tue Sep 13 2011 fwang <fwang> 3:5.3.8-2.mga2
+ Revision: 142812
- rebuild for new libpng
- new version 5.3.8 ( sync with mandriva )
+ guillomovitch <guillomovitch>
- rebuild for latest net-snmp
- turn hard dependency on suhosin to a soft dependency, as it is a perfectly optional component

* Mon Jun 20 2011 fwang <fwang> 3:5.3.6-3.mga2
+ Revision: 110372
- rebuild for new icu

* Thu May 19 2011 dmorgan <dmorgan> 3:5.3.6-2.mga1
+ Revision: 99741
- Fix perl detection
+ pterjan <pterjan>
- Add upstream fix for CVE-2011-1148

* Sun Apr 17 2011 pterjan <pterjan> 3:5.3.6-1.mga1
+ Revision: 87304
- Update to 5.3.6
  - Fixes CVE-2011-1153, CVE-2011-1092, CVE-2011-0708, CVE-2011-0421
  - Sync with Mandriva

* Fri Mar 25 2011 dmorgan <dmorgan> 3:5.3.5-3.mga1
+ Revision: 77249
- Lemon is not provided anymore by sqlite3
  Comment it on the spec file to see if the php module still build without it
  or if we need to remove this module.
- Rebuild against new mysql
+ misc <misc>
- Rebuild to remove Mandriva logo
- add some comments about patches
- do not show mandriva logo on phpinfo()
- s/Mandriva/Mageia/. We should use a macro for that.

* Thu Jan 13 2011 dmorgan <dmorgan> 3:5.3.5-0.mga1
+ Revision: 16674
- Remove mdv macros
- Fix mageia bugzilla url
+ spuhler <spuhler>
-BuildRoot:	%%{_tmppath}/%%{name}-%%{version}-%%{release}-buildroot
 -report bugs here: http://qa.mandriva.com/ so that the official maintainer of
-this Mandriva package can help you. More information regarding the
  +report bugs to the official maintainer of
  +this Mageia package. More information regarding the
- imported package php

